function [PSF_image, x_idx, y_idx]=m_gen_PSF_calc(params)
% This function call other function to calculate the pixelized PSF, which
% can be calculated using error function (Gaussian model) or calculated
% numerically. These calculations are performed in object space
% coordinates. The "z" axis is pointed in the same direction in image and
% object space, so it points towards the objective in object space and
% outwards from the tube lens in the image space. The "x" and "y" axes are
% inverted between the two spaces.

type=params.psf.type;

switch type
    case 'gaussian'
        [PSF_image, x_idx, y_idx]=m_gen_PSF_gauss(params);
        %photon_ratio=1;
    case {'scalar', 'vectorial'}
        [PSF_image, x_idx, y_idx]=m_gen_PSF_numerical_calc(params);
    otherwise
        error('Unkonwn PSF function.')
end