function evaluate_localizations(seq_path)


info_file=dir([seq_path,filesep,'*_param_infos.mat']);
load([seq_path,filesep,info_file(end).name])
files_to_load=dir([seq_path,filesep,seq_params.filename,'*',seq_params.format]);

%%

tic
for idx=1:length(files_to_load)
    disp([seq_path,filesep,seq_params.filename,num2str(idx,'%2.2i'),'.dat'])
    T1_orig(idx).value=load([seq_path,filesep,seq_params.filename,num2str(idx,'%2.2i'),'.dat'],'-ascii');
    load([seq_path,filesep,seq_params.filename,num2str(idx,'%2.2i'),'_rainSTORM_LOCs.mat'])
    T1_rS(idx).value=[SupResParams(:,7),(SupResPosits+0.5)*160,zeros(length(SupResPosits(:,1)),1),SupResParams(:,1:6)];
end
toc
%%
traj_frame_idx=cumsum([param_infos.traj_frames]);
total_frame_num=traj_frame_idx(end);
seq_N=ceil(total_frame_num/seq_params.aq.frame_N_max);

data_ref_all=[];
data_test_all=[];
frame_shift=0;
seq_traj_idx=zeros(1,seq_N);
treshold=seq_params.aq.frame_N_max;
for idx_seq=1:seq_N
    seq_traj_idx(idx_seq)=find(traj_frame_idx<=treshold,1,'last');
    treshold=traj_frame_idx(seq_traj_idx(idx_seq))+seq_params.aq.frame_N_max;
    data_ref_all=[data_ref_all;T1_orig(idx_seq).value(:,1)+frame_shift,T1_orig(idx_seq).value(:,2:end)];
    data_test_all=[data_test_all;T1_rS(idx_seq).value(:,1)+frame_shift,T1_rS(idx_seq).value(:,2:end)];
    frame_shift=traj_frame_idx(seq_traj_idx(idx_seq));
end

%%

traj_frame_ranges=repmat(struct('fr',0),1,length(param_infos));

frame_begin=1;
for idx_traj=1:length(param_infos)
    traj_frame_ranges(idx_traj).fr=frame_begin:traj_frame_idx(idx_traj);
    frame_begin=traj_frame_idx(idx_traj)+1;
end
%%

N_vals=unique([param_infos.N_photons]);
mol_vals=unique([param_infos.mol_shift_idx]);
N_indexes=[param_infos.N_photons];
mol_indexes=[param_infos.mol_shift_idx];
tic
clear data_eval
tol_values=5:5:150;
for idx_tol=1:length(tol_values)
    disp(['Tol value: ',num2str(tol_values(idx_tol))])
    tol.axial=1000;
    tol.lateral=tol_values(idx_tol);
    for idx_N=1:length(N_vals)
        for idx_mol=1:length(mol_vals)
            selected_frames=[traj_frame_ranges(all([...
                N_indexes==N_vals(idx_N);...
                mol_indexes==mol_vals(idx_mol)
                ])...
                ).fr];
%             data_ref=data_ref_all(ismember(data_ref_all(:,1),selected_frames),:);
            data_ref=sortrows(data_ref_all(ismember(data_ref_all(:,1),selected_frames),:));
%             data_test=data_test_all(ismember(data_test_all(:,1),selected_frames),:);
            data_test=sortrows(data_test_all(ismember(data_test_all(:,1),selected_frames),:));
            data_eval(idx_tol).val(idx_N,idx_mol)=m_gen_eval_localization(data_ref(),data_test,tol);
        end
    end
    toc
end
%%
save([seq_path,filesep,seq_params.filename,'_data_eval.mat'],'data_eval')

