global m_gen_path
output_dir=[m_gen_path,filesep,'images'];

% output_file_name=[output_dir,filesep,'test.raw'];
output_file_name2=[output_dir,filesep,'test.tif'];

tic
rng('default')

% Sample parameter settings
seq_params=[];
Nlat=11;
dist_grid=15;
nmol=20;
pos_array=[repmat((1:Nlat),1,Nlat)'.*dist_grid...
    reshape(repmat((1:Nlat),Nlat,1),[],1).*dist_grid...
    (repmat((1:Nlat),1,Nlat)'-(Nlat/2+0.5)).*500/(Nlat-1)];
scatter3(pos_array(:,1),pos_array(:,2),pos_array(:,3))

% N of molecules in the given spot, x, y, z, coordinates
seq_params.sample.name='lattice';
seq_params.sample.lattice_params=[...
    nmol*ones(Nlat*Nlat,1)   pos_array  ;...
    ];
seq_params.sample.link_rad=2; % radius of the linker in nm


tic
molecule_pos=m_gen_mol_coord(seq_params.sample.name,seq_params.sample,1);
toc

%%
temp_init=[molecule_pos.init_pos];

figure
scatter3(temp_init(1,:),...
    temp_init(2,:),...
    temp_init(3,:),'.')

set(gca,'DataAspectRatio',[1 1 1])
