global m_gen_path
output_dir=[m_gen_path,filesep,'images'];

tic
rng('default')

% Sample parameter settings
seq_params=[];

seq_params.sample.name='vesicule';
seq_params.sample.vesicule_params=[...
    300   160*10   160*15  0    10;...
    ];
seq_params.sample.link_rad=2; % radius of the linker in nm

% Dye parameter settings
seq_params.dye.tauon=0.05;
seq_params.dye.tauoff=50;
seq_params.dye.taub=500;
seq_params.dye.Tframe=0.05;
seq_params.dye.lambda=647;
seq_params.dye.N_ofphotonpersec=100000;

% Acqusition / Camera settings
seq_params.aq.frame_size=64;% The frame size NxN.
seq_params.aq.frame_N=1000;% The number of frames.
seq_params.aq.frame_rate=50;% frame/s
seq_params.aq.frame_fill_factor=1;% the fraction of the exposure time used to collect photons.
seq_params.aq.pixel_size=160;
seq_params.aq.bg_level=200;
seq_params.psf.name='gauss';
seq_params.psf.size=200;


traj_t_max=seq_params.aq.frame_N/seq_params.aq.frame_rate;



molecule_pos=m_gen_mol_coord(seq_params.sample.name,seq_params.sample,1);
toc
trajs=m_gen_traj_gen('base_dye',traj_t_max,molecule_pos,seq_params.dye,1);
toc



%%

N_mol=length(trajs.ts);
figure
temp=(trajs.ts(1).state(:)>0);
temp(end)=0;
stairs(trajs.ts(1).t(:),temp)
hold all
for qwe=2:N_mol
    temp=(trajs.ts(qwe).state(:)>0)*(qwe*0.01+1);
    temp(end)=0;
    stairs(trajs.ts(qwe).t(:),temp)
end
xlim([0 trajs.t_max])
ylim([-0.1,max(1.1,1+0.01*N_mol+0.1)]);


