function [ PSF_image ] = m_gen_PSF_pixelise( params, PSF, pix_x, pix_y, idx_psf_sampling_x ,idx_psf_sampling_y )
% This function sums the values at the sampled points on the image plane
% belonging to the individual pixels thus performs a simple and fast
% numerical integration

% PARENT: m_gen_PSF_numerical_calc
% CHILD: -

polarization_bool=params.meas.polarization_bool;

if ~polarization_bool
    PSF_image{1}=zeros(length(pix_x),length(pix_y));     % array for storing the pixelated image of the PSF
elseif ~polarization_bool
    PSF_image{1}=zeros(length(pix_x),length(pix_y));     % array for storing the pixelated image of the PSF
    PSF_image{2}=zeros(length(pix_x),length(pix_y));     % array for storing the pixelated image of the PSF
end

idx_pix_loc_x=0;
for idx_pix_x=pix_x
    idx_pix_loc_x=idx_pix_loc_x+1;
    idx_pix_loc_y=0;
    for idx_pix_y=pix_y
        idx_pix_loc_y=idx_pix_loc_y+1;
        for idx_pol=1:length(PSF);
            PSF_image{idx_pol}(idx_pix_loc_x,idx_pix_loc_y)=sum(sum(PSF{idx_pol}(idx_psf_sampling_x{idx_pix_loc_x},idx_psf_sampling_y{idx_pix_loc_y})));  % summing the sampled values within the given pixel
        end
    end
end

end

