function [ output_args ] = Untitled( input_args )
% Function for testing the iteration that determines the ray angles


d_i=300*1E3;
delta_d_i=6*1E3;
d_g=0;
d_s=5*1E3;

n_s=1.331;
n_g=1.520;
n_i=1.520;

    switch max([n_s, n_g, n_i])
        case n_i    % if the immersion medium has the highest refractive index
            theta_i_max=asin(min([n_s, n_g, n_i])/n_i);
        case n_g    % if the cover slip has the highest refractive index
            if n_i>n_s
                theta_i_max=asin(min([n_s, n_g, n_i])/n_i);
            elseif n_i<=n_s
                theta_i_max=pi/2;
            end
        case n_s    % if the sample medium has the highest refractive index
            if n_i>n_g
                theta_i_max=asin(min([n_s, n_g, n_i])/n_i);
            elseif n_i<=n_g
                theta_i_max=pi/2;
            end
    end

    theta_bord_i_0_max=theta_i_max*0.95;            % let this be the maximal initial ray angle, should be smaller than the angle of total internal refraction
    theta_bord_int_i_0=theta_bord_i_0_max;   % if any of the initial guess exceeds the maximal value...


x_bord_int_i=200*1E3;

function F=ray_angles(theta, h_ap)
    F=(h_ap-(d_i+delta_d_i)*tan(theta)-...
        d_g*n_i*sin(theta)/n_g./sqrt(1-(n_i*sin(theta)/n_g).^2)-...
        d_s*n_i*sin(theta)/n_s./sqrt(1-(n_i*sin(theta)/n_s).^2));
end

[theta_bord_i_iter, fval, exitflag]=fsolve(@(theta) ray_angles(theta, abs(x_bord_int_i)), theta_bord_int_i_0);   % iteration for getting the ray angles
% examining whether the iteration was successfull for a given ray
ray_angles(theta_bord_int_i_0, abs(x_bord_int_i))
end

