function varargout = testSTORM(varargin)
% TESTSTORM MATLAB code for testSTORM.fig
%      TESTSTORM, by itself, creates a new TESTSTORM or raises the existing
%      singleton*.
%
%      H = TESTSTORM returns the handle to a new TESTSTORM or the handle to
%      the existing singleton*.
%
%      TESTSTORM('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in TESTSTORM.M with the given input arguments.
%
%      TESTSTORM('Property','Value',...) creates a new TESTSTORM or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before testSTORM_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to testSTORM_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help testSTORM

% Last Modified by GUIDE v2.5 30-May-2018 11:50:19

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @testSTORM_OpeningFcn, ...
                   'gui_OutputFcn',  @testSTORM_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT



% --- Executes just before testSTORM is made visible.
function testSTORM_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to testSTORM (see VARARGIN)

% Choose default command line output for testSTORM
handles.output = hObject;

startup;        % add the other folders to the path
handles.seq_params.sample={};   % variable containing input parameters for the different structures
handles.seq_params.patterns.list={};
handles.seq_params.patterns.is_struct_calc={};      % whether the coordinates describing structures have been calculated ("1") or not ("0")
handles.seq_params.patterns.struct_coords={};        % coordinates of the segments or the triangle defining some kind of structures
%handles.seq_params.labels.is_cont_coords_calc={};      % whether the contact point coordinates have been calculated ("1") or not ("0") for the structure
handles.seq_params.labels.init_cont_coords={};    % initial coordinates of the contact points on the structures
handles.seq_params.labels.is_mol_coords_calc={};      % whether the dye molecule coordinates have been calculated ("1") or not ("0") for the structure
handles.seq_params.labels.init_dye_coords={};     % inital coordinates of the dye molecules binded to structures
handles.seq_params.labels.init_orientation={};    % initial orientation of the dye molecules
handles.seq_params.labels.is_nonspec_coords_calc={};     % whether the nonspecific dye positions have been calculated ("0") or not ("1")
handles.seq_params.labels.init_nonspec_coords={};        % initial positions of nonspecifiy dyes
handles.seq_params.labels.init_nonspec_orientation={};   %initial orientation of nonspecific dyes
handles.seq_params.modify.bool=0;       % whether the pattern panel is opened by the "modify" button or not
handles.seq_params.modify.index=0;      % index of the structure selected for modification
handles.seq_params.modify.name='';      % name of the structure selected for modification
handles.seq_params.dye=[];              % dye parameters
handles.seq_params.dye_prev=[];         % previous dye parameters, used for determining whether dye parameters used for dye coordinates calculation have been changed
handles.seq_params.aq=[];               % acqusition parameters
handles.seq_params.psf=[];              % PSF parameters
handles.seq_params.drift=[];            % PSF parameters
handles.seq_params.meas=[];

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes testSTORM wait for user response (see UIRESUME)
% uiwait(handles.figure1);



% --- Outputs from this function are returned to the command line.
function varargout = testSTORM_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;



% --- Executes on button press in add_pattern_button.
function add_pattern_button_Callback(hObject, eventdata, handles)
% This function opens the pattern selection panel for adding new structure.
% It also writes the the name of the pattern selected by default to the
% 'next pattern' variable in case of the user does not change the
% selection.

% disabling other buttons which do not belong to the pattern selection
% panel
set(handles.modify_button, 'Enable', 'off');
set(handles.delete_button, 'Enable', 'off');
set(handles.recalculate_button, 'Enable', 'off');
set(handles.plot_button, 'Enable', 'off');
set(handles.export_parameters_button, 'Enable', 'off');
set(handles.import_parameters_button, 'Enable', 'off');
set(handles.generate_button, 'Enable', 'off');

switch 1
    case get(handles.star_button,'Value')
        next_pattern='star';
    case get(handles.array_button,'Value')
        next_pattern='lattice';
    case get(handles.lines_button,'Value')
        next_pattern='lines';
    case get(handles.octagon_button,'Value')
        next_pattern='octagons';
    case get(handles.vesicles_button,'Value')
        next_pattern='vesicles';
    case get(handles.rods_button,'Value')
        next_pattern='rods';
    case get(handles.axon_button,'Value')
        next_pattern='axons';
    case get(handles.disk_button,'Value')
        next_pattern='disks';
    case get(handles.read_lines_button,'Value')
        next_pattern='segments';
    case get(handles.read_mesh_button,'Value')
        next_pattern='mesh';
    otherwise
        next_pattern=[];
end

% writes the variable into the handles structure
handles.next_pattern=next_pattern;
% Update handles structure
guidata(hObject, handles);

set(handles.add_panel, 'Visible','off');    %hides the panel containing the button of this function
set(handles.pattern_selection, 'Visible','on'); %opens the patterns selection panel
set(handles.cancel_pattern_button, 'Visible','on'); %makes the canel button visible



% --- Executes on button press in import_pattern_button.
function import_pattern_button_Callback(hObject, eventdata, handles)
% This function reads structures of a previous setup from a file and
% extends the actual structures with them.

% loading the file
if isempty(get(handles.savedest,'String'))      % if there is no chosen save destination
    params_input_path='';       % default folder will be opened
else
    [ output_path , ~ , ~]=fileparts(get(handles.savedest, 'String'));
    params_input_path=output_path;      % otherwise that folder will be opened
end
[filename, pathname] = uigetfile('*.mat', 'Import a simulation parameters file',params_input_path); % open file chooser dialog
params_input=fullfile(pathname, filename);      % get the full name of the parameters file

import_params=load(params_input, '-mat');      % load the content of the parameters file

% appending the actual parameters with the read parameters
handles.seq_params.sample=[handles.seq_params.sample, import_params.sample];
handles.seq_params.patterns.list=[handles.seq_params.patterns.list, import_params.patterns.list];
handles.seq_params.patterns.is_struct_calc=[handles.seq_params.patterns.is_struct_calc, import_params.patterns.is_struct_calc];
handles.seq_params.patterns.struct_coords=[handles.seq_params.patterns.struct_coords, import_params.patterns.struct_coords];
import_size=max(1,uint16(length(import_params.patterns.list)));
import_is_mol_coords_calc(1:import_size, 1:2)={0};
import_init_cont_coords{import_size,2}=[];    % initial coordinates of the contact points on the structures
import_init_dye_coords{import_size,2}=[];     % initial coordinates of the dye molecules binded to structures
import_init_orientation{import_size,2}=[];    % initial orientation of the dye molecules

% the dye and contact point positions are not calculated on the read structures
handles.seq_params.labels.is_mol_coords_calc=[handles.seq_params.labels.is_mol_coords_calc; import_is_mol_coords_calc];
handles.seq_params.labels.init_cont_coords=[handles.seq_params.labels.init_cont_coords; import_init_cont_coords];
handles.seq_params.labels.init_dye_coords=[handles.seq_params.labels.init_dye_coords; import_init_dye_coords];
handles.seq_params.labels.init_orientation=[handles.seq_params.labels.init_orientation; import_init_orientation];

set(handles.pattern_list, 'String', handles.seq_params.patterns.list)   % updating the list of structures in the GUI
% Update handles structure
guidata(hObject, handles);


% --- Executes when selected object is changed in pattern_selection.
function pattern_selection_SelectionChangeFcn(hObject, eventdata, handles)
% This function adds the name of the selected pattern to the "next_pattern"
% variable. Does not run if the user does not change the pattern selected
% by default.

switch get(eventdata.NewValue,'Tag')
    case 'star_button'
        next_pattern='star';
    case 'array_button'
        next_pattern='lattice';
    case 'lines_button'
        next_pattern='lines';
    case 'octagon_button'
        next_pattern='octagons';
    case 'vesicles_button'
        next_pattern='vesicles';
    case 'rods_button'
        next_pattern='rods';
    case 'axon_button'
        next_pattern='axons';
    case 'disk_button'
        next_pattern='disks';
    case 'read_lines_button'
        next_pattern='segments';
    case 'read_mesh_button'
        next_pattern='mesh';
    otherwise
        next_pattern=[];
            
end
% handles=guidata(hObject);
% writes the variable into the handles structure
handles.next_pattern=next_pattern;
% Update handles structure
guidata(hObject, handles);



function pattern_defaults(pattern_type, handles)
% This function sets the default values for pattern parameters on the GUI.
% Overwrites the values set in the GUI editor, too.

    % setting the selected pattern's default parameters on the GUI for the selected pattern
    switch pattern_type
        case 'star'
            set(handles.star_mol_dens,'String','200'); % N of molecules in the given arm
            set(handles.star_dim,'String','3200'); % arm dimension in nm
            set(handles.star_z,'String','0'); % plane of pattern
        case 'lattice'
            set(handles.lattice_mol,'String','3'); % N of molecules in one point of lattice
            set(handles.lattice_dim,'String','8000'); % size of the lattice in nm
            set(handles.lattice_dist,'String','320'); % distance between two point of grid in nm
            set(handles.lattice_alpha,'String','0'); % angle in z dimension
        case 'lines'
            set(handles.lines_dens,'String','200 200 200 200 200'); % N of molecules in the given line
            set(handles.lines_dim,'String','2000'); % sample dimension in nm
            set(handles.lines_z,'String','0 0 0 0 0'); % intit z of the given line in nm
            set(handles.lines_dist,'String','160'); % dist of two paralell lines in nm
            set(handles.lines_alpha,'String','0 0 0 0 0'); % angle of the given line in rad
            set(handles.lines_radius,'String','8'); % radius of the lines in nm
        case 'octagons'
            set(handles.oct_fix_N,'String','10');
            set(handles.oct_fix_sig,'String','2');
            set(handles.oct_fix_x,'String','400 0 0 -400');
            set(handles.oct_fix_y,'String','-600 -200 200 600');
            set(handles.oct_fix_z,'String','0 200 150 360');
            set(handles.oct_fix_rad,'String','80');
                
            set(handles.oct_dim,'String','8000'); % sample dimension in nm
            set(handles.oct_N_ofoct,'String','15'); % N of octagons in a frame
            set(handles.oct_zmax,'String','300');% [nm] the maximum distance from the focal plane of the octagons
            set(handles.oct_N_ofmol,'String','10'); % N of octagons in a frame
            set(handles.oct_Sig_ofmol,'String','2');
            set(handles.oct_Rad_ofoct,'String','80');
        case 'vesicles'
            set(handles.ves_fix_N,'String','200 200 200 200');
            set(handles.ves_fix_x,'String','200 0 0 -200');
            set(handles.ves_fix_y,'String','-300 -100 100 300');
            set(handles.ves_fix_z,'String','0 200 150 360');
            set(handles.ves_fix_rad,'String','30 30 30 30');
                
            set(handles.ves_dim,'String','8000'); % sample dimension in nm
            set(handles.ves_zmax,'String','300');% [nm] the maximum distance from the focal plane of the vesicle
            set(handles.ves_N_ofves,'String','15'); % N of vesicles in a frame
            set(handles.ves_Rad_ofves,'String','39.5'); % average radius of vesicles in nm
            set(handles.ves_Sig_ofves,'String','5.1'); % Sigma of radius of ves in nm
            set(handles.ves_N_ofmol,'String','50'); % average number of molecules in the vesicles
            set(handles.ves_Sig_ofmol,'String','20'); % sigma of number of molecules in the vesicles
        case 'rods'
            set(handles.rod_fix_N,'String','200 200 200 200');
            set(handles.rod_fix_x,'String','2000 0 0 -2000');
            set(handles.rod_fix_y,'String','-3000 -1000 1000 3000');
            set(handles.rod_fix_z,'String','0 200 150 360');
            set(handles.rod_fix_size,'String','100 100 100 100; 300 300 300 300');
            set(handles.rod_fix_phi,'String','0 30 60 90');
                
            set(handles.rod_dim,'String','8000'); % sample dimension in nm
            set(handles.rod_zmax,'String','300');% [nm] the maximum distance from the focal plane of the rod
            set(handles.rod_N_ofrod,'String','15'); % N of rods in a frame
            set(handles.rod_Size_ofrod,'String','100; 300'); % average radius of rods in nm
            set(handles.rod_N_ofmol,'String','200'); % average number of molecules in the rods
            set(handles.rod_Sig_ofmol,'String','50'); % sigma of number of molecules in the rods
        case 'axons'
            set(handles.axon_length, 'String','5000 5000 5000');
            set(handles.axon_radius, 'String','300 300 300');
            set(handles.axon_grating, 'String','190 190 190');
            set(handles.axon_dens, 'String','20 20 20');
            set(handles.axon_fi, 'String','-15 -90 -45');
            set(handles.axon_theta, 'String','90 90 90');
            set(handles.axon_x, 'String','-585 -2000 1770');
            set(handles.axon_y, 'String',' 1850 -1000 -1770');
            set(handles.axon_z, 'String','-200 0 200');
        case 'disks'
            set(handles.sarcomere_length, 'String','6800');
            set(handles.sarcomere_radius, 'String','750');
            set(handles.sarcomere_grating, 'String','3400; 130');
            set(handles.sarcomere_dens, 'String','20');
            set(handles.sarcomere_fi, 'String','-15');
            set(handles.sarcomere_theta, 'String','90');
            set(handles.sarcomere_x, 'String','0');
            set(handles.sarcomere_y, 'String','0');
            set(handles.sarcomere_z, 'String','0');
        case 'segments'
            set(handles.seg_filename,'String', '');
            set(handles.seg_scaling,'String', '1');
            set(handles.seg_radius,'String', '8');
            set(handles.seg_dens,'String', '200');
            set(handles.seg_disp_x,'String', '0');
            set(handles.seg_disp_y,'String', '0');
            set(handles.seg_disp_z,'String', '0');
            set(handles.seg_rot_fi,'String', '0');
            set(handles.seg_rot_theta,'String', '0');
        case 'mesh'
            set(handles.mesh_filename,'String', '');
            set(handles.mesh_scaling,'String', '1');
            set(handles.mesh_dens,'String', '2000');
            set(handles.mesh_disp_x,'String', '0');
            set(handles.mesh_disp_y,'String', '0');
            set(handles.mesh_disp_z,'String', '0');
            set(handles.mesh_rot_fi,'String', '0');
            set(handles.mesh_rot_theta,'String', '0');
    end

    

% --- Executes on button press in verify_pattern_button.
function verify_pattern_button_Callback(hObject, eventdata, handles)
% This function opens the appropriate panel for adjusting structure
% properties based on the selected pattern. It also hides the pattern
% selection panel and makes visible the button serving for adding the
% selected pattern.

% hiding the pattern selection panel
set(handles.pattern_selection, 'Visible','off');

set(handles.add_button, 'Visible','on');
switch handles.next_pattern
    case 'star'
        set(handles.star_panel, 'Visible','on');
    case 'lattice'
        set(handles.array_panel, 'Visible','on');
    case 'lines'
        set(handles.add_lines, 'Visible','on');
    case 'octagons'
        set(handles.octagon_panel, 'Visible','on');
    case 'vesicles'
        set(handles.vesicles_panel, 'Visible','on');
    case 'rods'
        set(handles.rods_panel, 'Visible','on');
    case 'axons'
        set(handles.axons_panel,'Visible','on');
    case 'disks'
        set(handles.disks_panel,'Visible','on');
    case 'segments'
        set(handles.segments_panel, 'Visible','on');
    case 'mesh'
        set(handles.mesh_panel, 'Visible','on');
end

% settig the default parameters for the pattern
pattern_defaults(handles.next_pattern, handles);

% making visible the button serving for adding the new pattern
set(handles.add_button, 'Visible','on');



% --- Executes on button press in add_button.
function add_button_Callback(hObject, eventdata, handles)
% This function adds the name of the pattern selected last time
% ("next_pattern") to the list of the pattern names, reads the values from
% the appropriate pattern panel on the GUI, and updates the list of
% structures cointaining the parameters of the patterns. It also hides
% itself, the pattern panels, the cancel button and makes visible the panel
% for adding new pattern and enables the button for modifying and deleting
% existing patterns, plotting and generating the *.tif stack.

% adding new pattern
if handles.seq_params.modify.bool==0
    % expanding the list of the patterns with the pattern name selected last time
    %pattern_list=get(handles.pattern_list,'String');
    pattern_list=handles.seq_params.patterns.list;
    pattern_list{end+1}=handles.next_pattern;
    set(handles.pattern_list,'String',pattern_list);    % update pattern list in the GUI
    handles.seq_params.patterns.list=pattern_list;      % update pattern list
    idx_struct=length(get(handles.pattern_list,'String'));  % index of the acutal pattern
    %handles.seq_params.labels.is_cont_coords_calc(idx_struct,1:2)={0};       %the contact point coordinates on this patter has yet to be calculated
    handles.seq_params.labels.is_mol_coords_calc(idx_struct,1:2)={0};       %the dye coordinates on this patter has yet to be calculated
    handles.seq_params.patterns.is_struct_calc{idx_struct}=0;
    handles.seq_params.patterns.struct_coords{idx_struct}=[];        % coordinates of the segments or the triangle defining some kind of structures
    handles.seq_params.labels.init_cont_coords{idx_struct,2}=[];    % initial coordinates of the contact points on the structures
    handles.seq_params.labels.init_dye_coords{idx_struct,2}=[];     % inital coordinates of the dye molecules binded to structures
    handles.seq_params.labels.init_orientation{idx_struct,2}=[];    % initial orientation of the dye molecules
    pattern_type=handles.next_pattern;
    % Update handles structure
    guidata(hObject, handles);
% modifying existing pattern
elseif handles.seq_params.modify.bool==1
    idx_struct=handles.seq_params.modify.index;
    %handles.seq_params.labels.is_cont_coords_calc(idx_struct,1:2)={0};       %the contact point coordinates on this patter has yet to be calculated
    handles.seq_params.labels.is_mol_coords_calc(idx_struct,1:2)={0};
    handles.seq_params.patterns.is_struct_calc{idx_struct}=0;
    pattern_type=handles.seq_params.modify.name;
else
    disp('Something is wrong with "handles.seq_params_modify"');
end

sample=[];  % temporal variable for storing the values read from the appropriate pattern panel
%aq=handles.seq_params.aq;  % temporal variable for storing the acquisition parameters rad from the GUI

% reading the values from the appropriate pattern panel
switch pattern_type
    case 'star'
        sample.name='star';
        sample.label_dens=str2num(get(handles.star_mol_dens,'String')); % N of molecules in the given arm
        sample.star_dim=str2num(get(handles.star_dim,'String')); % arm dimension in nm
        sample.star_z=str2num(get(handles.star_z,'String')); % plane of pattern
        
        % if densities has been added for only one type of dye...
        if size(sample.label_dens,1)==1
            sample.label_dens=repmat(sample.label_dens,2,1);    %duplicates it in order to avoid further errors
        end
        
        % if negative density is given count it as zero
        sample.label_dens(sample.label_dens<0)=0;
        
    case 'lattice'
        sample.name='lattice';
        sample.lattice_mol=str2num(get(handles.lattice_mol,'String')); % N of molecules in one point of lattice
        sample.lattice_dim=str2num(get(handles.lattice_dim,'String')); % size of the lattice in nm
        sample.lattice_dist_grid=str2num(get(handles.lattice_dist,'String')); % distance between two point of grid in nm
        sample.lattice_alpha=str2num(get(handles.lattice_alpha,'String')); % angle in z dimension
        
        % if number of molecules on lattice points has been added for only one type of dye...
        if size(sample.lattice_mol,1)==1
            sample.lattice_mol=repmat(sample.lattice_mol,2,1);    %duplicates it in order to avoid further errors
        end
        
        % if negative density is given count it as zero
        sample.lattice_mol(sample.lattice_mol<0)=0;
        
    case 'lines'
        sample.name='lines';
        sample.label_dens=str2num(get(handles.lines_dens,'String')); % N of molecules in the given line
        sample.lines_dim=str2num(get(handles.lines_dim,'String')); % sample dimension in nm
        sample.lines_z=str2num(get(handles.lines_z,'String')); % intit z of the given line in nm
        sample.lines_dist=str2num(get(handles.lines_dist,'String')); % dist of two paralell lines in nm
        sample.lines_alpha=str2num(get(handles.lines_alpha,'String')); % angle of the given line in rad
        sample.lines_radius=str2num(get(handles.lines_radius,'String')); % radius of the lines in nm
        
        if size(sample.label_dens,2)==1
            sample.label_dens=repmat(sample.label_dens,1,5);
        elseif size(sample.label_dens,2)==5
            % do nothing
        else
        %    error('Error in the lines densities')
        end
        
        if size(sample.lines_z,2)==1
            sample.lines_z=repmat(sample.lines_z,1,5);
        elseif size(sample.lines_z,2)==5
            % do nothing
        else
        %    error('Error in the z positions of the lines')
        end
        
        if size(sample.lines_alpha,2)==1
            sample.lines_alpha=repmat(sample.lines_alpha,1,5);
        elseif size(sample.lines_alpha,2)==5
            % do nothing
        else
        %    error('Error in the lines elevation angles')
        end
        
        % if densities has been added for only one type of dye...
        if size(sample.label_dens,1)==1
            sample.label_dens=repmat(sample.label_dens,2,1);    %duplicates it in order to avoid further errors
        end
        
        % if negative density is given count it as zero
        sample.label_dens(sample.label_dens<0)=0;
        
    case 'octagons'
        sample.name='octagons';
        switch get(get(handles.select_octtype,'SelectedObject'),'Tag')
            case 'oct_fix_button'
                sample.oct_N_ofmol=str2num(get(handles.oct_fix_N,'String'));
                sample.oct_sig_N=str2num(get(handles.oct_fix_sig,'String'));
                sample.oct_fix_x=str2num(get(handles.oct_fix_x,'String'));
                sample.oct_fix_y=str2num(get(handles.oct_fix_y,'String'));
                sample.oct_fix_z=str2num(get(handles.oct_fix_z,'String'));
                sample.oct_rad=str2num(get(handles.oct_fix_rad,'String'));
                    
                if ~isequal(size(sample.oct_fix_x),...
                    size(sample.oct_fix_y),...
                    size(sample.oct_fix_z))
                    error('Error in the size of fixed octagons pattern parameters')
                end
                    
                %if densities has been added for only one type of dye...
                if size(sample.oct_N_ofmol,1)==1
                    sample.oct_N_ofmol=repmat(sample.oct_N_ofmol,2,1);    %duplicates it in order to avoid further errors
                end
        
                % if negative density is given count it as zero
                sample.oct_N_ofmol(sample.oct_N_ofmol<0)=0;
                
                %if densities has been added for only one type of dye...
                if size(sample.oct_sig_N,1)==1
                    sample.oct_sig_N=repmat(sample.oct_sig_N,2,1);    %duplicates it in order to avoid further errors
                end
        
                % if negative density is given count it as zero
                sample.oct_sig_N(sample.oct_sig_N<0)=0;
                
            case 'oct_rand_button'
                sample.oct_dim=str2num(get(handles.oct_dim,'String')); % sample dimension in nm
                sample.oct_N_ofoct=str2num(get(handles.oct_N_ofoct,'String')); % N of octagons in a frame
                sample.oct_zmax=str2num(get(handles.oct_zmax,'String'));% [nm] the maximum distance from the focal plane of the octagons
                sample.oct_N_ofmol=str2num(get(handles.oct_N_ofmol,'String')); % N of octagons in a frame
                sample.oct_sig_N=str2num(get(handles.oct_Sig_ofmol,'String'));
                
                %sample.oct_pos=[(rand(1,sample.oct_N_ofoct)-0.5)*sample.oct_dim;...
                %    (rand(1,sample.oct_N_ofoct)-0.5)*sample.oct_dim;...
                %    (rand(1,sample.oct_N_ofoct)-0.5)*sample.oct_zmax];
                sample.oct_rad=str2num(get(handles.oct_Rad_ofoct,'String')); % radius of octagons in nm
                
                % if densities has been added for only one type of dye...
                if size(sample.oct_N_ofmol,1)==1
                    sample.oct_N_ofmol=repmat(sample.oct_N_ofmol,2,1);    %duplicates it in order to avoid further errors
                end
        
                % if negative density is given count it as zero
                sample.oct_N_ofmol(sample.oct_N_ofmol<0)=0;
                
                %if densities has been added for only one type of dye...
                if size(sample.oct_sig_N,1)==1
                    sample.oct_sig_N=repmat(sample.oct_sig_N,2,1);    %duplicates it in order to avoid further errors
                end
        
                % if negative density is given count it as zero
                sample.oct_sig_N(sample.oct_sig_N<0)=0;
                
        end
        
    case 'vesicles'
        sample.name='vesicles';
        switch get(get(handles.select_vestype,'SelectedObject'),'Tag')
            case 'ves_rand_button'
                sample.ves_dim=str2num(get(handles.ves_dim,'String')); % sample dimension in nm
                sample.ves_zmax=str2num(get(handles.ves_zmax,'String'));% [nm] the maximum distance from the focal plane of the vesicle
                sample.ves_N_ofves=str2num(get(handles.ves_N_ofves,'String')); % N of vesicles in a frame
                sample.ves_Rad_ofves=str2num(get(handles.ves_Rad_ofves,'String')); % average radius of vesicles in nm
                sample.ves_Sig_ofves=str2num(get(handles.ves_Sig_ofves,'String')); % Sigma of radius of ves in nm
                sample.ves_N_ofmol=str2num(get(handles.ves_N_ofmol,'String')); % average number of molecules in the vesicles
                sample.ves_Sig_ofmol=str2num(get(handles.ves_Sig_ofmol,'String')); % sigma of number of molecules in the vesicles
                sample.ves_ellipsoidBool=true;
                
                % if densities has been added for only one type of dye...
                if size(sample.ves_N_ofmol,1)==1
                    sample.ves_N_ofmol=repmat(sample.ves_N_ofmol,2,1);    %duplicates it in order to avoid further errors
                end
        
                % if negative density is given count it as zero
                sample.ves_N_ofmol(sample.ves_N_ofmol<0)=0;
                
                if ~(size(sample.ves_Rad_ofves,1)==1 || size(sample.ves_Rad_ofves,1)==3)...
                        || size(sample.ves_Rad_ofves,2)~=1
                    error('Error in the size of fixed vesicles pattern radius parameter')
                end
                
                if size(sample.ves_Rad_ofves,1)==1
                    sample.ves_ellipsoidBool=false;
                end
                
            case 'ves_fix_button'
                
                sample.ves_fix_N=str2num(get(handles.ves_fix_N,'String'));
                sample.ves_fix_x=str2num(get(handles.ves_fix_x,'String'));
                sample.ves_fix_y=str2num(get(handles.ves_fix_y,'String'));
                sample.ves_fix_z=str2num(get(handles.ves_fix_z,'String'));
                sample.ves_fix_rad=str2num(get(handles.ves_fix_rad,'String'));
                sample.ves_ellipsoidBool=true;
                
                if size(sample.ves_fix_x,1)~=1 ||...
                   size(sample.ves_fix_y,1)~=1 ||...
                   size(sample.ves_fix_z,1)~=1
                
                    error('Error in the size of fixed vesicles pattern parameters')
                end
                
                if ~(size(sample.ves_fix_rad,1)==1 || size(sample.ves_fix_rad,1)==3)
                    error('Error in the size of fixed vesicles pattern radius parameter')
                end
                
                if size(sample.ves_fix_rad,1)==1
                    sample.ves_ellipsoidBool=false;
                end
                
                if ~isequal(size(sample.ves_fix_N,2),...
                    size(sample.ves_fix_x,2),...
                    size(sample.ves_fix_y,2),...
                    size(sample.ves_fix_z,2),...
                    size(sample.ves_fix_rad,2))
                
                    error('Error in the size of fixed vesicles pattern parameters')
                end
                
                % if densities has been added for only one type of dye...
                if size(sample.ves_fix_N,1)==1
                    sample.ves_fix_N=repmat(sample.ves_fix_N,2,1);    %duplicates it in order to avoid further errors
                end
        
                % if negative density is given count it as zero
                sample.ves_fix_N(sample.ves_fix_N<0)=0;    
        end
        
    case 'rods'
        sample.name='rods';
        switch get(get(handles.select_rodtype,'SelectedObject'),'Tag')
            case 'rods_rand_button'
                sample.rod_dim=str2num(get(handles.rod_dim,'String')); % sample dimension in nm
                sample.rod_zmax=str2num(get(handles.rod_zmax,'String'));% [nm] the maximum distance from the focal plane of the rods
                sample.rod_N_ofrod=str2num(get(handles.rod_N_ofrod,'String')); % N of rods in a frame
                sample.rod_Size_ofrod=str2num(get(handles.rod_Size_ofrod,'String')); % average radius of rods in nm
                sample.rod_N_ofmol=str2num(get(handles.rod_N_ofmol,'String')); % average number of molecules on the rods
                sample.rod_Sig_ofmol=str2num(get(handles.rod_Sig_ofmol,'String')); % sigma of number of molecules on the rods
                
                % if densities has been added for only one type of dye...
                if size(sample.rod_N_ofmol,1)==1
                    sample.rod_N_ofmol=repmat(sample.rod_N_ofmol,2,1);    % duplicates it in order to avoid further errors
                end
        
                % if negative density is given count it as zero
                sample.rod_N_ofmol(sample.rod_N_ofmol<0)=0;
                
            case 'rods_fix_button'
                
                sample.rod_fix_N=str2num(get(handles.rod_fix_N,'String'));
                sample.rod_fix_x=str2num(get(handles.rod_fix_x,'String'));
                sample.rod_fix_y=str2num(get(handles.rod_fix_y,'String'));
                sample.rod_fix_z=str2num(get(handles.rod_fix_z,'String'));
                sample.rod_fix_size=str2num(get(handles.rod_fix_size,'String'));
                sample.rod_fix_phi=str2num(get(handles.rod_fix_phi,'String'));
                
                if size(sample.rod_fix_x,1)~=1 ||...
                   size(sample.rod_fix_y,1)~=1 ||...
                   size(sample.rod_fix_z,1)~=1 ||...
                   size(sample.rod_fix_size,1)~=2 ||...
                   size(sample.rod_fix_phi,1)~=1
                
                    error('Error in the size of fixed rods pattern parameters')
                end
                
                if ~isequal(size(sample.rod_fix_N,2),...
                    size(sample.rod_fix_x,2),...
                    size(sample.rod_fix_y,2),...
                    size(sample.rod_fix_z,2),...
                    size(sample.rod_fix_size,2),...
                    size(sample.rod_fix_phi,2))
                
                    error('Error in the size of fixed rods pattern parameters')
                end
                
                % if densities has been added for only one type of dye...
                if size(sample.rod_fix_N,1)==1
                    sample.rod_fix_N=repmat(sample.rod_fix_N,2,1);    %duplicates it in order to avoid further errors
                end
        
                % if negative density is given count it as zero
                sample.rod_fix_N(sample.rod_fix_N<0)=0;    
        end
        
    case 'axons'
        sample.name='axons';
        sample.axon_length=str2num(get(handles.axon_length, 'String'));
        sample.axon_radius=str2num(get(handles.axon_radius, 'String'));
        sample.axon_grating=str2num(get(handles.axon_grating, 'String'));
        sample.label_dens=str2num(get(handles.axon_dens, 'String'));
        sample.axon_fi=str2num(get(handles.axon_fi, 'String'));
        sample.axon_theta=str2num(get(handles.axon_theta, 'String'));
        sample.axon_x=str2num(get(handles.axon_x, 'String'));
        sample.axon_y=str2num(get(handles.axon_y, 'String'));
        sample.axon_z=str2num(get(handles.axon_z, 'String'));

        % if densities has been added for only one type of dye...
            if size(sample.label_dens,1)==1
                sample.label_dens=repmat(sample.label_dens,2,1);    %duplicates it in order to avoid further errors
            elseif size(sample.label_dens,1)>2
                error('Epitope density for axons have been added in wrong format.')
            end
        
            % if negative density is given count it as zero
            sample.label_dens(sample.label_dens<0)=0;
            
            if ~isequal(size(sample.axon_length,2),...
                    size(sample.axon_radius,2),...
                    size(sample.axon_grating,2),...
                    size(sample.label_dens,2),...
                    size(sample.axon_theta,2),...
                    size(sample.axon_fi,2),...
                    size(sample.axon_x,2),...
                    size(sample.axon_y,2),...
                    size(sample.axon_z,2))
                
                error('Please give equal number of input values for every axon parameter!')
            
            elseif ~isequal(1,...
                    size(sample.axon_length,1),...
                    size(sample.axon_radius,1),...
                    size(sample.axon_grating,1),...
                    size(sample.axon_theta,1),...
                    size(sample.axon_fi,1),...
                    size(sample.axon_x,1),...
                    size(sample.axon_y,1),...
                    size(sample.axon_z,1))
                
                error('Please do ont use ";" in axon parameter input fields with the exception of the epitope density!')
            end
        
    case 'disks'
        sample.name='disks';
        sample.sarcomere_length=str2num(get(handles.sarcomere_length, 'String'));
        sample.sarcomere_radius=str2num(get(handles.sarcomere_radius, 'String'));
        sample.sarcomere_grating=str2num(get(handles.sarcomere_grating, 'String'));
        sample.label_dens=str2num(get(handles.sarcomere_dens, 'String'));
        sample.sarcomere_fi=str2num(get(handles.sarcomere_fi, 'String'));
        sample.sarcomere_theta=str2num(get(handles.sarcomere_theta, 'String'));
        sample.sarcomere_x=str2num(get(handles.sarcomere_x, 'String'));
        sample.sarcomere_y=str2num(get(handles.sarcomere_y, 'String'));
        sample.sarcomere_z=str2num(get(handles.sarcomere_z, 'String'));

        % if densities has been added for only one type of dye...
            if size(sample.label_dens,1)==1
                sample.label_dens=repmat(sample.label_dens,2,1);    %duplicates it in order to avoid further errors
            elseif size(sample.label_dens,1)>2
                error('Epitope density for disks have been added in wrong format.')
            end
        
            % if negative density is given count it as zero
            sample.label_dens(sample.label_dens<0)=0;
            
            if ~isequal(size(sample.sarcomere_length,2),...
                    size(sample.sarcomere_radius,2),...
                    size(sample.sarcomere_grating,2),...
                    size(sample.label_dens,2),...
                    size(sample.sarcomere_theta,2),...
                    size(sample.sarcomere_fi,2),...
                    size(sample.sarcomere_x,2),...
                    size(sample.sarcomere_y,2),...
                    size(sample.sarcomere_z,2))
                
                error('Please give equal number of input values for every disk parameter!')
            
            elseif ~isequal(1,...
                    size(sample.sarcomere_length,1),...
                    size(sample.sarcomere_radius,1),...
                    size(sample.sarcomere_theta,1),...
                    size(sample.sarcomere_fi,1),...
                    size(sample.sarcomere_x,1),...
                    size(sample.sarcomere_y,1),...
                    size(sample.sarcomere_z,1))
                
                error('Please do not use ";" in disk parameter input fields with the exception of the epitope density and the grating fields!')
            end
            
            if size(sample.sarcomere_grating,1)~=2
                error('Please give values for both and for only the disk pair distances and the disk pair gaps in the "grating" field!')
            end
            
    case 'segments'
        sample.name='segments';
        sample.seg_filename=get(handles.seg_filename, 'String');
        sample.seg_scaling=str2num(get(handles.seg_scaling, 'String'));
        sample.seg_radius=str2num(get(handles.seg_radius, 'String'));
        sample.label_dens=str2num(get(handles.seg_dens, 'String'));
        sample.seg_disp_x=str2num(get(handles.seg_disp_x, 'String'));
        sample.seg_disp_y=str2num(get(handles.seg_disp_y, 'String'));
        sample.seg_disp_z=str2num(get(handles.seg_disp_z, 'String'));
        sample.seg_rot_fi=str2num(get(handles.seg_rot_fi, 'String'));
        sample.seg_rot_theta=str2num(get(handles.seg_rot_theta, 'String'));
        
        % if densities has been added for only one type of dye...
        if size(sample.label_dens,1)==1
            sample.label_dens=repmat(sample.label_dens,2,1);    %duplicates it in order to avoid further errors
        end
        
        if ~(size(sample.seg_scaling,2)==1 || size(sample.seg_scaling,2)==3) || size(sample.seg_scaling,1)~=1
            erros('Error in the size of the segmented line scaling parameters!')
        end
        
        % if negative density is given count it as zero
        sample.label_dens(sample.label_dens<0)=0;
        
    case 'mesh'
        sample.name='mesh';
        sample.mesh_filename=get(handles.mesh_filename, 'String');
        sample.mesh_scaling=str2num(get(handles.mesh_scaling, 'String'));
        sample.label_dens=str2num(get(handles.mesh_dens, 'String'));
        sample.mesh_disp_x=str2num(get(handles.mesh_disp_x, 'String'));
        sample.mesh_disp_y=str2num(get(handles.mesh_disp_y, 'String'));
        sample.mesh_disp_z=str2num(get(handles.mesh_disp_z, 'String'));
        sample.mesh_rot_fi=str2num(get(handles.mesh_rot_fi, 'String'));
        sample.mesh_rot_theta=str2num(get(handles.mesh_rot_theta, 'String'));
        %sample.mesh_offset=(aq.frame_size*aq.pixel_size)/2;
        
        % if densities has been added for only one type of dye...
        if size(sample.label_dens,1)==1
            sample.label_dens=repmat(sample.label_dens,2,1);    %duplicates it in order to avoid further errors
        end
        
        if ~(size(sample.mesh_scaling,2)==1 || size(sample.mesh_scaling,2)==3) || size(sample.mesh_scaling,1)~=1
            erros('Error in the size of the mesh scaling parameters!')
        end
        
        % if negative density is given count it as zero
        sample.label_dens(sample.label_dens<0)=0;
end
% passing the values to the appropriate structure in the list of the
% patterns
handles.seq_params.sample{idx_struct}=sample;

% hiding the pattern panel
switch pattern_type
    case 'star'
        set(handles.star_panel, 'Visible','off');
    case 'lattice'
        set(handles.array_panel, 'Visible','off');
    case 'lines'
        set(handles.add_lines, 'Visible','off');
    case 'octagons'
        set(handles.octagon_panel, 'Visible','off');
    case 'vesicles'
        set(handles.vesicles_panel, 'Visible','off');
    case 'rods'
        set(handles.rods_panel, 'Visible','off');
    case 'axons'
        set(handles.axons_panel,'Visible','off');
    case 'disks'
        set(handles.disks_panel,'Visible','off');
    case 'segments'
        set(handles.segments_panel, 'Visible','off');
    case 'mesh'
        set(handles.mesh_panel, 'Visible','off');
end
% hiding the cancel button
set(handles.cancel_pattern_button, 'Visible','off');
% hiding the button of this function
set(handles.add_button, 'Visible','off');

% opens the panel containing the button suitable for adding new pattern
set(handles.add_panel, 'Visible','on');
set(handles.modify_button, 'Enable', 'on');
set(handles.delete_button, 'Enable', 'on');
set(handles.plot_button, 'Enable', 'on');
set(handles.recalculate_button, 'Enable', 'on');
set(handles.export_parameters_button, 'Enable', 'on');
set(handles.import_parameters_button, 'Enable', 'on');
set(handles.generate_button, 'Enable', 'on');

handles.seq_params.modify.bool=0;   %default value of this variable

% Update handles structure
guidata(hObject, handles);



% --- Executes when selected object is changed in select_vestype.
function select_vestype_SelectionChangeFcn(hObject, eventdata, handles)
% This selects whether the panel for adding vesicles with random or fixed
% (user defined) positions is visible.

switch get(eventdata.NewValue,'Tag') % Get Tag of selected object.
    case 'ves_fix_button'
        % Code for when vesicles/fixed pattern is selected.
        set(handles.vesicles_rand_panel, 'Visible','off');
        set(handles.vesicles_fix_panel, 'Visible','on');
        
    case 'ves_rand_button'
        % Code for when vesicles/random pattern is selected.
        set(handles.vesicles_fix_panel, 'Visible','off');
        set(handles.vesicles_rand_panel, 'Visible','on');
end


% --- Executes when selected object is changed in select_rodtype.
function select_rodtype_SelectionChangedFcn(hObject, eventdata, handles)
% This selects whether the panel for adding rods with random or fixed
% (user defined) positions is visible.

switch get(eventdata.NewValue,'Tag') % Get Tag of selected object.
    case 'rods_fix_button'
        % Code for when rods/fixed pattern is selected.
        set(handles.rods_rand_panel, 'Visible','off');
        set(handles.rods_fix_panel, 'Visible','on');
        
    case 'rods_rand_button'
        % Code for when rods/random pattern is selected.
        set(handles.rods_fix_panel, 'Visible','off');
        set(handles.rods_rand_panel, 'Visible','on');
end




% --- Executes when selected object is changed in select_octtype.
function select_octtype_SelectionChangeFcn(hObject, eventdata, handles)
% This selects whether the panel for adding octagons with random or fixed
% (user defined) positions is visible.

switch get(eventdata.NewValue,'Tag') % Get Tag of selected object.
    case 'oct_fix_button'
        % Code for when octagons/fixed pattern is selected.
        set(handles.octagon_rand_panel, 'Visible','off');
        set(handles.octagon_fix_panel, 'Visible','on');
         
    case 'oct_rand_button'
        % Code for when octagons/random pattern is selected.
        set(handles.octagon_fix_panel, 'Visible','off');
        set(handles.octagon_rand_panel, 'Visible','on');   
end



% --- Executes on button press in cancel_pattern_button.
function cancel_pattern_button_Callback(hObject, eventdata, handles)
% This function hides the panels of the patterns, the panel for selecting
% the patterns, the cancel button, the button for adding the selected
% pattern to the list. Only a fraction of the selected button and panels
% can be visible at the same time, but hides them all. It also opens the
% panel containing the add button suitable for adding new patterns and
% enables the buttons for adding and modifying structures, plotting and
% generating the image stack.

set(handles.star_panel, 'Visible','off');
set(handles.array_panel, 'Visible','off');
set(handles.add_lines, 'Visible','off');
set(handles.octagon_panel, 'Visible','off');
set(handles.vesicles_panel, 'Visible','off');
set(handles.rods_panel, 'Visible','off');
set(handles.axons_panel,'Visible','off');
set(handles.disks_panel,'Visible','off');
set(handles.segments_panel, 'Visible','off');
set(handles.mesh_panel, 'Visible','off');

set(handles.cancel_pattern_button, 'Visible','off');
set(handles.add_button, 'Visible','off');
set(handles.pattern_selection, 'Visible','off');

set(handles.add_panel, 'Visible','on');
set(handles.modify_button, 'Enable', 'on');
set(handles.delete_button, 'Enable', 'on');
set(handles.plot_button, 'Enable', 'on');
set(handles.recalculate_button, 'Enable', 'on');
set(handles.export_parameters_button, 'Enable', 'on');
set(handles.import_parameters_button, 'Enable', 'on');
set(handles.generate_button, 'Enable', 'on');

handles.seq_params.modify.bool=0;   %default value for this variable
% Update handles structure
guidata(hObject, handles);



% --- Executes on button press in delete_button.
function delete_button_Callback(hObject, eventdata, handles)
% This function deletes the selected structure. It has to modify all the
% variables connected to the selected pattern (pattern_list,
% seq_params.sample, seq_params.labels.is_{cont/mol}_coords_calc,
% seq_params.model_coords, seq_params.labels.init_cont_coords,
% seq_params.labels.init_dye_coords, seq_params.labels.init_orientation).

selected_index=get(handles.pattern_list,'Value');   %get the index of the selected elements in the list
%pattern_list=get(handles.pattern_list,'String');    %get the list of added structures
pattern_list=handles.seq_params.patterns.list;    %get the list of added structures

if length(pattern_list)>0       %if the list exists
    % in some cases it is required to change the index of the selected
    % element on the list before deleting 
    if length(pattern_list)==selected_index    %if it is the last element...
        if selected_index~=1    % and not the first, decrease the index
            set(handles.pattern_list,'Value',selected_index-1);
        else    % if it is the only element, set this value
            set(handles.pattern_list,'Value',1);
        end
    end
    pattern_list(selected_index)=[];    % delete the selected element from the list
    set(handles.pattern_list,'String',pattern_list);    % update pattern list in the GUI
    handles.seq_params.patterns.list=pattern_list;      % update pattern list
    if length(handles.seq_params.patterns.struct_coords)>=selected_index
        handles.seq_params.patterns.struct_coords(selected_index)=[];
    end
    handles.seq_params.sample(selected_index)=[];
    %handles.seq_params.labels.is_cont_coords_calc(selected_index,:)=[];
    handles.seq_params.labels.is_mol_coords_calc(selected_index,:)=[];
    handles.seq_params.patterns.is_struct_calc(selected_index)=[];
    %handles.seq_params.model_coords={};
    % if the variables intented to be deleted already exist 
    if length(handles.seq_params.labels.init_cont_coords)>=selected_index...
        && length(handles.seq_params.labels.init_dye_coords)>=selected_index...
        && length(handles.seq_params.labels.init_orientation)>=selected_index
        handles.seq_params.labels.init_cont_coords(selected_index,:)=[];
        handles.seq_params.labels.init_dye_coords(selected_index,:)=[];
        handles.seq_params.labels.init_orientation(selected_index,:)=[];    % orientation of the dye molecules
    end
    % Update handles structure
    guidata(hObject, handles);
else
    disp('You have not added any pattern yet');
end



% --- Executes on button press in modify_button.
function modify_button_Callback(hObject, eventdata, handles)
% This function opens the pattern panel for structure with the selected
% index for overwriting the pattern parameters. I also has to set the
% parameters given to the pattern on the GUI

selected_index=get(handles.pattern_list,'Value');   % get the index of the selected elements in the list
%pattern_list=get(handles.pattern_list,'String');    % get the list of addes patterns
pattern_list=handles.seq_params.patterns.list;    %get the list of added structures

if length(pattern_list)>0       % if the list exists

    sample=handles.seq_params.sample{selected_index};

    handles.seq_params.modify.bool=1;       % the pattern ha been modified
    handles.seq_params.modify.index=selected_index;     % index of the pattern selected for modification
    handles.seq_params.modify.name=pattern_list{selected_index};    % type of the pattern selected for modification
    % Update handles structure
    guidata(hObject, handles);

    % disabling buttons which belong to neither patterns panel
    set(handles.modify_button, 'Enable', 'off');
    set(handles.delete_button, 'Enable', 'off');
    set(handles.plot_button, 'Enable', 'off');
    set(handles.recalculate_button, 'Enable', 'off');
    set(handles.export_parameters_button, 'Enable', 'off');
    set(handles.import_parameters_button, 'Enable', 'off');
    set(handles.generate_button, 'Enable', 'off');
    
    % hiding the panel for adding new structures
    set(handles.add_panel, 'Visible','off');

    % setting the selected structure's parameters on the GUI
    switch pattern_list{selected_index}
        case 'star'
            set(handles.star_mol_dens,'String',mat2str(sample.label_dens)); % N of molecules in the given arm
            set(handles.star_dim,'String',num2str(sample.star_dim)); % arm dimension in nm
            set(handles.star_z,'String',num2str(sample.star_z)); % plane of pattern
        case 'lattice'
            set(handles.lattice_mol,'String',mat2str(sample.lattice_mol)); % N of molecules in one point of lattice
            set(handles.lattice_dim,'String',num2str(sample.lattice_dim)); % size of the lattice in nm
            set(handles.lattice_dist,'String',num2str(sample.lattice_dist_grid)); % distance between two point of grid in nm
            set(handles.lattice_alpha,'String',num2str(sample.lattice_alpha)); % angle in z dimension
        case 'lines'
            set(handles.lines_dens,'String',mat2str(sample.label_dens)); % N of molecules in the given line
            set(handles.lines_dim,'String',num2str(sample.lines_dim)); % sample dimension in nm
            set(handles.lines_z,'String',num2str(sample.lines_z)); % intit z of the given line in nm
            set(handles.lines_dist,'String',num2str(sample.lines_dist)); % dist of two paralell lines in nm
            set(handles.lines_alpha,'String',num2str(sample.lines_alpha)); % angle of the given line in rad
            set(handles.lines_radius,'String',num2str(sample.lines_radius)); % radius of the lines in nm
        case 'octagons'
            if isfield(sample,'oct_fix_x')
                set(handles.oct_fix_N,'String',mat2str(sample.oct_N_ofmol));
                set(handles.oct_fix_sig,'String',mat2str(sample.oct_sig_N));
                set(handles.oct_fix_x,'String',num2str(sample.oct_fix_x));
                set(handles.oct_fix_y,'String',num2str(sample.oct_fix_y));
                set(handles.oct_fix_z,'String',num2str(sample.oct_fix_z));
                set(handles.oct_fix_rad,'String',num2str(sample.oct_rad));
            elseif isfield(sample,'oct_N_ofoct')
                set(handles.oct_dim,'String',num2str(sample.oct_dim)); % sample dimension in nm
                set(handles.oct_N_ofoct,'String',num2str(sample.oct_N_ofoct)); % N of octagons in a frame
                set(handles.oct_zmax,'String',num2str(sample.oct_zmax));% [nm] the maximum distance from the focal plane of the octagons
                set(handles.oct_N_ofmol,'String',mat2str(sample.oct_N_ofmol)); % N of octagons in a frame
                set(handles.oct_Sig_ofmol,'String',mat2str(sample.oct_sig_N));
                set(handles.oct_Rad_ofoct,'String',num2str(sample.oct_rad));
            else
                error('Error in accessing patterns during modification.')
            end
        case 'vesicles'
            if isfield(sample,'ves_fix_N')
                set(handles.ves_fix_N,'String',mat2str(sample.ves_fix_N));
                set(handles.ves_fix_x,'String',num2str(sample.ves_fix_x));
                set(handles.ves_fix_y,'String',num2str(sample.ves_fix_y));
                set(handles.ves_fix_z,'String',num2str(sample.ves_fix_z));
                set(handles.ves_fix_rad,'String',num2str(sample.ves_fix_rad));
            elseif isfield(sample,'ves_Sig_ofmol')
                set(handles.ves_dim,'String',num2str(sample.ves_dim)); % sample dimension in nm
                set(handles.ves_zmax,'String',num2str(sample.ves_zmax));% [nm] the maximum distance from the focal plane of the vesicle
                set(handles.ves_N_ofves,'String',num2str(sample.ves_N_ofves)); % N of vesicles in a frame
                set(handles.ves_Rad_ofves,'String',num2str(sample.ves_Rad_ofves)); % average radius of vesicles in nm
                set(handles.ves_Sig_ofves,'String',num2str(sample.ves_Sig_ofves)); % Sigma of radius of ves in nm
                set(handles.ves_N_ofmol,'String',mat2str(sample.ves_N_ofmol)); % average number of molecules in the vesicles
                set(handles.ves_Sig_ofmol,'String',mat2str(sample.ves_Sig_ofmol)); % sigma of number of molecules in the vesicles
            else
                error('Error in accessing patterns during modification.')
            end
        case 'rods'
            if isfield(sample,'rod_fix_N')
                set(handles.rod_fix_N,'String',mat2str(sample.rod_fix_N));
                set(handles.rod_fix_x,'String',num2str(sample.rod_fix_x));
                set(handles.rod_fix_y,'String',num2str(sample.rod_fix_y));
                set(handles.rod_fix_z,'String',num2str(sample.rod_fix_z));
                set(handles.rod_fix_size,'String',mat2str(sample.rod_fix_size));
                set(handles.rod_fix_phi,'String',num2str(sample.rod_fix_phi));
            elseif isfield(sample,'rod_Sig_ofmol')
                set(handles.rod_dim,'String',num2str(sample.rod_dim)); % sample dimension in nm
                set(handles.rod_zmax,'String',num2str(sample.rod_zmax));% [nm] the maximum distance from the focal plane of the rods
                set(handles.rod_N_ofrod,'String',num2str(sample.rod_N_ofrod)); % N of rods in a frame
                set(handles.rod_Size_ofrod,'String',mat2str(sample.rod_Size_ofrod)); % average radius of rods in nm
                set(handles.rod_N_ofmol,'String',mat2str(sample.rod_N_ofmol)); % average number of molecules on the rods
                set(handles.rod_Sig_ofmol,'String',mat2str(sample.rod_Sig_ofmol)); % sigma of number of molecules on the rods
            else
                error('Error in accessing patterns during modification.')
            end
        case 'axons'
            set(handles.axon_length, 'String',mat2str(sample.axon_length));
            set(handles.axon_radius, 'String',mat2str(sample.axon_radius));
            set(handles.axon_grating, 'String',mat2str( sample.axon_grating));
            set(handles.axon_dens, 'String',mat2str(sample.label_dens));
            set(handles.axon_theta, 'String',mat2str(sample.axon_theta));
            set(handles.axon_fi, 'String',mat2str(sample.axon_fi));
            set(handles.axon_x, 'String',mat2str(sample.axon_x));
            set(handles.axon_y, 'String',mat2str(sample.axon_y));
            set(handles.axon_z, 'String',mat2str(sample.axon_z));
        case 'disks'
            set(handles.sarcomere_length, 'String',mat2str(sample.sarcomere_length));
            set(handles.sarcomere_radius, 'String',mat2str(sample.sarcomere_radius));
            set(handles.sarcomere_grating, 'String',mat2str( sample.sarcomere_grating));
            set(handles.sarcomere_dens, 'String',mat2str(sample.label_dens));
            set(handles.sarcomere_theta, 'String',mat2str(sample.sarcomere_theta));
            set(handles.sarcomere_fi, 'String',mat2str(sample.sarcomere_fi));
            set(handles.sarcomere_x, 'String',mat2str(sample.sarcomere_x));
            set(handles.sarcomere_y, 'String',mat2str(sample.sarcomere_y));
            set(handles.sarcomere_z, 'String',mat2str(sample.sarcomere_z));
        case 'segments'
            set(handles.seg_filename,'String', sample.seg_filename);
            set(handles.seg_scaling,'String', mat2str(sample.seg_scaling));
            set(handles.seg_radius,'String', num2str(sample.seg_radius));
            set(handles.seg_dens,'String', mat2str(sample.label_dens));
            set(handles.seg_disp_x,'String', num2str(sample.seg_disp_x));
            set(handles.seg_disp_y,'String', num2str(sample.seg_disp_y));
            set(handles.seg_disp_z,'String', num2str( sample.seg_disp_z));
            set(handles.seg_rot_fi,'String', num2str(sample.seg_rot_fi));
            set(handles.seg_rot_theta,'String', num2str(sample.seg_rot_theta));
        case 'mesh'
            set(handles.mesh_filename,'String', sample.mesh_filename);
            set(handles.mesh_scaling,'String', mat2str(sample.mesh_scaling));
            set(handles.mesh_dens,'String', mat2str(sample.label_dens));
            set(handles.mesh_disp_x,'String', num2str( sample.mesh_disp_x));
            set(handles.mesh_disp_y,'String', num2str( sample.mesh_disp_y));
            set(handles.mesh_disp_z,'String', num2str(sample.mesh_disp_z));
            set(handles.mesh_rot_fi,'String', num2str(sample.mesh_rot_fi));
            set(handles.mesh_rot_theta,'String', num2str(sample.mesh_rot_theta));
    end


    % makes visible the appropriate pattern panel...
    switch pattern_list{selected_index}
        case 'star'
            set(handles.star_panel, 'Visible','on');
        case 'lattice'
            set(handles.array_panel, 'Visible','on');
        case 'lines'
            set(handles.add_lines, 'Visible','on');
        case 'octagons'
            set(handles.octagon_panel, 'Visible','on');
            % if the octagons were added with fixed positions
            if isfield(sample,'oct_fix_x')
                set(handles.oct_fix_button,'Value',1);
                set(handles.octagon_fix_panel,'Visible','on')
                set(handles.octagon_rand_panel,'Visible','off')
            % if the octagons were added with random positions
            elseif isfield(sample,'oct_N_ofoct')
                set(handles.oct_rand_button,'Value',1);
                set(handles.octagon_rand_panel,'Visible','on')
                set(handles.octagon_fix_panel,'Visible','off')
            else
                error('Error in accessing patterns during modification.')
            end
        case 'vesicles'
            set(handles.vesicles_panel, 'Visible','on');
            % if the vesicles were added with fixed positions
            if isfield(sample,'ves_fix_N')
                set(handles.ves_fix_button,'Value',1);
                set(handles.vesicles_fix_panel,'Visible','on')
                set(handles.vesicles_rand_panel,'Visible','off')
            % if the vesicles were added with random positions
            elseif isfield(sample,'ves_Sig_ofmol')
                set(handles.ves_rand_button,'Value',1);
                set(handles.vesicles_rand_panel,'Visible','on')
                set(handles.vesicles_fix_panel,'Visible','off')
            else
                error('Error in accessing patterns during modification.')
            end
        case 'rods'
            set(handles.rods_panel, 'Visible','on');
            % if the rods were added with fixed positions
            if isfield(sample,'rod_fix_N')
                set(handles.rods_fix_button,'Value',1);
                set(handles.rods_fix_panel,'Visible','on')
                set(handles.rods_rand_panel,'Visible','off')
            % if the rods were added with random positions
            elseif isfield(sample,'rod_Sig_ofmol')
                set(handles.rods_rand_button,'Value',1);
                set(handles.rods_rand_panel,'Visible','on')
                set(handles.rods_fix_panel,'Visible','off')
            else
                error('Error in accessing patterns during modification.')
            end 
        case 'axons'
            set(handles.axons_panel,'Visible','on');
        case 'disks'
            set(handles.disks_panel,'Visible','on');
        case 'segments'
            set(handles.segments_panel, 'Visible','on');
        case 'mesh'
            set(handles.mesh_panel, 'Visible','on');
    end
    
    % making visible the add and cancel buttons
    set(handles.cancel_pattern_button, 'Visible','on');
    set(handles.add_button, 'Visible','on');
else
    disp('You have not added any pattern yet');
end



% --- Executes when selected object is changed in PSF_buttongroup.
function PSF_buttongroup_SelectionChangedFcn(hObject, eventdata, handles)
%This function hides or makes visible the panel for aberration parameters
%depending the seleced PSF type.

switch get(eventdata.NewValue,'Tag') % Get Tag of selected object.
    case 'gaussian_PSF_button'	% in case of Gaussian PSF model
        set(handles.gaussian_PSF_panel,'Visible', 'on')     % make visible the Gaussian PSF panel
        set(handles.scalar_PSF_panel,'Visible', 'off')      % hide the scalar PSF panel
        set(handles.vectorial_PSF_panel,'Visible', 'off')   % hide vectorial PSF panel
    case 'scalar_PSF_button'	% in case of scalar diffraction PSF model
        set(handles.gaussian_PSF_panel,'Visible', 'off')    % hide the Gaussian PSF panel
        set(handles.scalar_PSF_panel,'Visible', 'on')       % make visible the scalar PSF panel
        set(handles.vectorial_PSF_panel,'Visible', 'off')	% hide vectorial PSF panel
    case 'vectorial_PSF_button'	% in case of vectorial diffraction PSF model
        set(handles.gaussian_PSF_panel,'Visible', 'off')    % hide the Gaussian PSF panel
        set(handles.scalar_PSF_panel,'Visible', 'off')      % hide the scalar PSF panel
        set(handles.vectorial_PSF_panel,'Visible', 'on')    % make visible the vectorial PSF panel
end



% --- Executes on button press in astigmatic_checkbox.
function astigmatic_checkbox_Callback(hObject, eventdata, handles)
% This function enables or disables the input fields for the astigmatic 3D
% Gaussian PSF on the Gaussian PSF panel.

switch get(hObject,'Value')
    case true   % astigmatic 3D PSf is used
        set(handles.cylindrical_f, 'Enable', 'on');
        set(handles.magnification, 'Enable', 'on');
        set(handles.tube_f, 'Enable', 'on');
    case false  % normal Gaussian PSF is used
        set(handles.cylindrical_f, 'Enable', 'off');
        set(handles.magnification, 'Enable', 'off');
        set(handles.tube_f, 'Enable', 'off');
end


% --- Executes on button press in anisotropy_checkbox.
function anisotropy_checkbox_Callback(hObject, eventdata, handles)
% This function enables or disables the input fields for the anisotropic
% PSF on the vectorial PSF panel.

switch get(hObject,'Value')
    case true   % if anisotropic PSF is used 
        set(handles.an_cone_angle, 'Enable', 'On');
        set(handles.an_tau_ratio, 'Enable', 'On');
    case false  % if the dipole orientation is fixed
        set(handles.an_cone_angle, 'Enable', 'Off');
        set(handles.an_tau_ratio, 'Enable', 'Off');
end



function handles=get_meas_parameters(handles)
% This function read the parameters for the different type of measurements.

% boolean for polarization sensitive measurement
meas.polarization_bool=logical(get(handles.polarization_sens_checkbox, 'Value'));

% boolean for multicolor dSTORM measurement:
meas.multicolor_bool=logical(get(handles.N_of_dyes_checkbox, 'Value'));    % boolean for whether multicolor measurement simulation is done
% if two type of dye are used, the crosstalk should be read
if meas.multicolor_bool
    meas.crosstalk=str2num(get(handles.dye_crosstalk,'String'));     %crosstalk between the two split images
    if size(meas.crosstalk,1)~=2
        error('Please give two values for the crosstalk')
    else
        if (meas.crosstalk(1)>1 || meas.crosstalk(1)<0) || (meas.crosstalk(2)>1 || meas.crosstalk(2)<0)
            error('Wrong values were given for the crosstalk')
        end
    end
else
    % do nothing
end

% boolean for astigmatic 3D measurement
meas.astigmatic_bool=logical(get(handles.astigmatic_checkbox, 'Value'));

% astigmatic 3D measurement parameters
switch  get(handles.astigmatic_checkbox, 'Value')
	case 1  % if astigmatic 3D PSF is used
        meas.cylindrical_f=str2num(get(handles.cylindrical_f, 'String'));    % focal length of the cylindrical lens
        if meas.cylindrical_f==Inf || meas.cylindrical_f==0
            error('Please give the cylindrical lens an appropriate focal length value.') 
        end
        meas.magnification=str2num(get(handles.magnification, 'String'));
        if meas.magnification==Inf || meas.magnification==0
            error('Please give an appropriate magnification value.') 
        end
        meas.tube_f=str2num(get(handles.tube_f, 'String'));
        if meas.magnification==Inf || meas.magnification==0
            error('Please give the tube lens an appropriate focal length value.') 
        end
                
    case 0  % if astigmatic 3D PSF is not used
        meas.cylindrical_f=[];
end

handles.seq_params.meas=meas;



function handles=get_PSF_parameters(handles)
% This function reads the parameters required for generating the point
% spread function.

% boolean for astigmatic 3D measurement
psf.anisotropy_bool=logical(get(handles.anisotropy_checkbox, 'Value'));

% determining which PSf type has benn selected
switch get(get(handles.PSF_buttongroup,'SelectedObject'), 'Tag');
    case 'gaussian_PSF_button'	% Gaussian PSF
        psf.type='gaussian';
    case 'scalar_PSF_button'        % PSF based on scalar diffraction
        psf.type='scalar';
    case 'vectorial_PSF_button'     % PSF based on vectorial diffraction
        psf.type='vectorial';
end

% reading the parameters for the selected PSF type
switch psf.type
    case 'gaussian'     % if Gaussian PSF model is used
        psf.colleff=str2num(get(handles.colleff, 'String')); % photon collection efficiency
    case 'scalar'       % if scalar diffraction PSF model is used
        %temp=str2num(get(handles.scal_astigmatism, 'String'));
        %psf.astigmatism_x=temp(1);
        %psf.astigmatism_y=temp(2);
        %%[psf.astigmatism_x, psf.astigmatism_y]=str2num(get(handles.scal_astigmatism, 'String'));    % primary astigmatism
        %temp=str2num(get(handles.scal_coma, 'String'));
        %psf.coma_x=temp(1);
        %psf.coma_y=temp(2);
        %%[psf.coma_x, psf.coma_y]=str2num(get(handles.scal_coma, 'String'));     % primary coma
        %psf.spherical_ab=str2num(get(handles.scal_spherical_ab, 'String'));     % spherical aberration
        psf.sample_depth=str2num(get(handles.scal_sample_depth, 'String'));     % focal depth in the sample
        %psf.n_sample=str2num(get(handles.scal_n_sample, 'String'));             % refraction index of the sample
        psf.focal_plane_dist=str2num(get(handles.scal_focal_plane_dist, 'String'));             % refraction index of the sample
        %psf.cover_slip=str2num(get(handles.n_cover_slip, 'String'));
    case 'vectorial'    % if vectorial diffraction PSF model is used
        %temp=str2num(get(handles.vect_astigmatism, 'String'));
        %psf.astigmatism_x=temp(1);
        %psf.astigmatism_y=temp(2);
        %%[psf.astigmatism_x, psf.astigmatism_y]=str2num(get(handles.vect_astigmatism, 'String'));    % primary astigmatism
        %temp=str2num(get(handles.vect_coma, 'String'));
        %psf.coma_x=temp(1);
        %psf.coma_y=temp(2);
        %%[psf.coma_x, psf.coma_y]=str2num(get(handles.vect_coma, 'String'));     % primary coma
        %psf.spherical_ab=str2num(get(handles.vect_spherical_ab, 'String'));     % spherical aberration
        psf.sample_depth=str2num(get(handles.vect_sample_depth, 'String'));     % focal depth in the sample
        %psf.n_sample=str2num(get(handles.vect_n_sample, 'String'));             % refraction index of the sample
        psf.focal_plane_dist=str2num(get(handles.vect_focal_plane_dist, 'String'));             % refraction index of the sample
        psf.el_field_dir=str2num(get(handles.el_field_dir, 'String'));          % vector pointin gto the direction of the electric field
        %psf.cover_slip=str2num(get(handles.n_cover_slip, 'String'));
        switch  get(handles.anisotropy_checkbox, 'Value')
            case 1      % if anisotropic PSF is used
                psf.an_cone_angle=str2num(get(handles.an_cone_angle, 'String'));    % half angle of the cone in which the dipole orientation in uniformly distributed
                psf.an_tau_ratio=str2num(get(handles.an_tau_ratio, 'String'));      % ratio of fluorescent lifetime and rotational correlation time
            case 0      % if fixed dipole orientation is used
                psf.an_cone_angle=[];
                psf.an_tau_ratio=[];
        end
    otherwise
        error('Something is wrong with the PSF parameters'' reading')
end
handles.seq_params.psf=psf;



function handles=get_dye_parameters(handles)
% This function reads the parameters for the dyes. Does not update
% the handles variable, it should be done inside its "parent" function.

switch get(handles.N_of_dyes_checkbox,'Value')
    case 0
        N_of_dyes=1;    % one type of dye is used
    case 1
        N_of_dyes=2;    % two different type of dyes are used
end

% reading the parameters for the dyes
for idx_dye=1:N_of_dyes
    switch idx_dye
        case 1
            % reading the dye parameters
            selected_index=get(handles.dye1_popupmenu,'Value');
            popupmenu_list=get(handles.dye1_popupmenu,'String');
            dye.type_name=popupmenu_list{selected_index};
            dye.lambda=str2num(get(handles.dye1_lambda,'String')); % wavelength at the dye's emission peak
            if dye.lambda<=0
               error('Wavelength should not be equal or less than 0.') 
            end
            dye.tauon=str2num(get(handles.dye1_tauon,'String')); % characteristic time of  ON state
            dye.tauoff=str2num(get(handles.dye1_tauoff,'String')); % characteristic time of OFF state
            dye.taub=str2num(get(handles.dye1_taub,'String')); % characteristic time of bleach state
            if dye.tauon<0 || dye.tauoff<0 || dye.taub<0
                error('Please give proper value for the blinking constants.')
            end
            dye.em_N_ofphotonpersec=str2num(get(handles.dye1_emnofphotonpersec,'String')); % photonfluxus emitted by a molecule
            dye.binding_angle=str2num(get(handles.dye1_binding_angle,'String')); % mean binding angle between the dye and the normal of the surface
            dye.binding_angle_dev=str2num(get(handles.dye1_binding_angle_dev,'String')); % standard deviation of the binding angle
            dye.N_of_labels_per_epitope=str2num(get(handles.dye1_N_of_labels_per_epitope, 'String')); % mean number of dye molecules on the epitopes, follows binomial distribution
            dye.var_N_of_labels_per_epitope=str2num(get(handles.dye1_var_N_of_labels_per_epitope, 'String')); % variance of the number of dye molecules on the epitopes
            dye.link_rad=str2num(get(handles.dye1_link_rad,'String')); % binding distance between the dye and the epitope
            dye.nonspec_dens=str2num(get(handles.dye1_nonspec_dens,'String')); % density of non-specific labels
        case 2
            % reading the dye parameters
            selected_index=get(handles.dye2_popupmenu,'Value');
            popupmenu_list=get(handles.dye2_popupmenu,'String');
            dye.type_name=popupmenu_list{selected_index};
            dye.lambda=str2num(get(handles.dye2_lambda,'String')); % wavelength at the dye's emission peak
            if dye.lambda<=0
               error('Wavelength should not be equal or less than 0.') 
            end
            dye.tauon=str2num(get(handles.dye2_tauon,'String')); % characteristic time of  ON state
            dye.tauoff=str2num(get(handles.dye2_tauoff,'String')); % characteristic time of OFF state
            dye.taub=str2num(get(handles.dye2_taub,'String')); % characteristic time of bleach state
            if dye.tauon<0 || dye.tauoff<0 || dye.taub<0
                error('Please give proper value for the blinking constants.')
            end
            dye.em_N_ofphotonpersec=str2num(get(handles.dye2_emnofphotonpersec,'String')); % photonfluxus emitted by a molecule
            dye.binding_angle=str2num(get(handles.dye2_binding_angle,'String')); % mean binding angle between the dye and the normal of the surface
            dye.binding_angle_dev=str2num(get(handles.dye2_binding_angle_dev,'String')); % standard deviation of the binding angle
            dye.N_of_labels_per_epitope=str2num(get(handles.dye2_N_of_labels_per_epitope, 'String')); % mean number of dye molecules on the epitopes, follows binomial distribution
            dye.var_N_of_labels_per_epitope=str2num(get(handles.dye2_var_N_of_labels_per_epitope, 'String')); % variance of the number of dye molecules on the epitopes
            dye.link_rad=str2num(get(handles.dye2_link_rad,'String')); % binding distance between the dye and the epitope
            dye.nonspec_dens=str2num(get(handles.dye2_nonspec_dens,'String')); % density of non-specific labels
    end
    handles.seq_params.dye{idx_dye}=dye;
end



function handles=get_aq_parameters(handles)
% This function reads the acquisition parameters. Does not update the 
% handles variable, it should be done inside its "parent" function.

% reading the acqusition / camera settings
aq.frame_size=str2num(get(handles.framesize,'String'));% The frame size NxN.
aq.frame_N=str2num(get(handles.nofframes,'String'));% The number of frames.
aq.frame_rate=str2num(get(handles.framerate,'String'));% frame/s
aq.frame_fill_factor=str2num(get(handles.exptime,'String'))*aq.frame_rate;% the fraction of the exposure time used to collect photons.
aq.pixel_size=str2num(get(handles.pixelsize,'String')); % pixel size in nm
aq.bg_level=str2num(get(handles.bglevel,'String')); % background level
aq.autofluor_bg=str2num(get(handles.autofluor_bg,'String')); % autofluorescence background level compard to the sum image of the blinkings
aq.NA=str2num(get(handles.numerical_aperture,'String')); % numerical aperture of the objective
aq.n_immersion=str2num(get(handles.n_immersion,'String'));  % refractive index of immersion medium
aq.n_sample=str2num(get(handles.n_sample,'String'));  % refractive index of sample
%aq.focal_plane_dist=str2num(get(handles.vect_focal_plane_dist,'String')); % working distance of the objective
%aq.d_cover_slip=str2num(get(handles.autofluor_bg,'String')); % thickness of the cover slip
aq.elpercount=str2num(get(handles.elpercount,'String'));  % number of electron collected per count
aq.preamp=str2num(get(handles.preamp,'String'));  % preamplificatioin of camera
aq.actemgain=str2num(get(handles.actemgain,'String'));  % actual em gain
aq.qeff=str2num(get(handles.qeff,'String'));  % quantum eff.

if size(aq.autofluor_bg,1)>1
    error('Please do not seperate the structured background''s values with ";".')
end
        
if size(aq.autofluor_bg,2)==1
    aq.autofluor_bg=repmat(aq.autofluor_bg,1,2);
elseif size(aq.autofluor_bg,2)==2
else
    error('Do not give more than two values for the structured background.')
end

handles.seq_params.aq=aq;



% --- Executes on selection change in drift_popupmenu.
function drift_popupmenu_Callback(hObject, eventdata, handles)
% hObject    handle to drift_popupmenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns drift_popupmenu contents as cell array
%        contents{get(hObject,'Value')} returns selected item from drift_popupmenu

% list of commonly used dye types
drift_type_list=get(handles.drift_popupmenu,'String');
% getting the name of the selected dye type
drift_type=drift_type_list{get(handles.drift_popupmenu,'Value')};
switch drift_type
    case 'No drift'
        set(handles.drift_mean_velocity, 'Enable', 'Off')
        set(handles.drift_acc_stdev, 'Enable', 'Off')
        set(handles.drift_damping_coeff, 'Enable', 'Off')
        set(handles.drift_mean_velocity,'String', '0 0 0');
        set(handles.drift_acc_stdev,'String', '0 0 0');
        set(handles.drift_damping_coeff,'String', '0 0');
    case 'Small'
        set(handles.drift_mean_velocity, 'Enable', 'On')
        set(handles.drift_acc_stdev, 'Enable', 'On')
        set(handles.drift_damping_coeff, 'Enable', 'On')
        set(handles.drift_mean_velocity,'String', '0.25 0.25 0');
        set(handles.drift_acc_stdev,'String', '1.5 1.5 0');
        set(handles.drift_damping_coeff,'String', '0.1 0.2');
    case 'Medium'
        set(handles.drift_mean_velocity, 'Enable', 'On')
        set(handles.drift_acc_stdev, 'Enable', 'On')
        set(handles.drift_damping_coeff, 'Enable', 'On')
        set(handles.drift_mean_velocity,'String', '0.5 0.5 0');
        set(handles.drift_acc_stdev,'String', '3 3 0');
        set(handles.drift_damping_coeff,'String', '0.1 0.2');
    case 'Large'
        set(handles.drift_mean_velocity, 'Enable', 'On')
        set(handles.drift_acc_stdev, 'Enable', 'On')
        set(handles.drift_damping_coeff, 'Enable', 'On')
        set(handles.drift_mean_velocity,'String', '1 1 0');
        set(handles.drift_acc_stdev,'String', '5 5 0');
        set(handles.drift_damping_coeff,'String', '0.1 0.2');
end



function handles=get_drift_parameters(handles)
% This function reads the parameters for the drift.
selected_index=get(handles.drift_popupmenu,'Value');
popupmenu_list=get(handles.drift_popupmenu,'String');
drift.type_name=popupmenu_list{selected_index};
drift.mean_velocity=str2num(get(handles.drift_mean_velocity,'String'))';    % three components the mean drift velocity
if size(drift.mean_velocity, 1)==3 && size(drift.mean_velocity, 2)==1
else
    error('Please give 3 components for the mean drift velocity.');
end
drift.acc_stdev=str2num(get(handles.drift_acc_stdev,'String'))';            % standard deviation of the drift's aceleration values
if size(drift.acc_stdev, 1)==3 && size(drift.acc_stdev, 2)==1
else
    error('Please give 3 components for the standard deviation of random forces used for drift.');
end
drift.damping_coeff=str2num(get(handles.drift_damping_coeff, 'String'));    % linear and square damping coefficients
if size(drift.damping_coeff, 1)==1 && size(drift.damping_coeff, 2)==2
else
    error('Please give 2 components for the damping coefficients used for drift.');
end
handles.seq_params.drift=drift;



% --- Executes on button press in dye_ok_button.
function dye_ok_button_Callback(hObject, eventdata, handles)
% This function overwrites the dye parameters by updating the handles
% variable.

% it is not needed...



% --- Executes on button press in N_of_dyes_checkbox.
function N_of_dyes_checkbox_Callback(hObject, eventdata, handles)
% This function enables or disables the radio button for the second type of
% dye.

if get(hObject,'Value')==0  % in case of one types dyes 
    set(handles.dye_crosstalk, 'Enable', 'off');
    set(handles.dye2_radiobutton,'Enable','off');
    set(handles.dye1_radiobutton,'Value',1);
    set(handles.dye1_panel, 'Visible', 'on');
    set(handles.dye2_panel, 'Visible', 'off');
elseif get(hObject,'Value')==1  % in case of two type dye
    set(handles.dye_crosstalk, 'Enable', 'on');
    set(handles.dye2_radiobutton,'Enable','on');
end



% --- Executes on button press in polarization_sens_checkbox.
function polarization_sens_checkbox_Callback(hObject, eventdata, handles)
% This function enables or disables the Gassian and the scalar diffraction
% PSF panel depending on wheterher polarization sensitive measurement has
% been chosen or not.

if get(hObject,'Value')==0  % in case of polarization insensitive measurement
    set(handles.gaussian_PSF_button, 'Enable', 'on');
    set(handles.scalar_PSF_button,'Enable','on');
    set(handles.gaussian_PSF_panel, 'Visible', 'on');
    set(handles.scalar_PSF_panel,'Visible','on');
elseif get(hObject,'Value')==1  % in case of polarization sensitive measurement
    set(handles.gaussian_PSF_button, 'Enable', 'off');
    set(handles.scalar_PSF_button,'Enable','off');
    set(handles.gaussian_PSF_panel, 'Visible', 'off');
    set(handles.scalar_PSF_panel,'Visible','off');
    
    set(handles.vectorial_PSF_button,'Value',1);
    set(handles.vectorial_PSF_panel,'Visible','on');
end


% --- Executes when selected object is changed in dye_buttongroup_panel.
function dye_buttongroup_panel_SelectionChangeFcn(hObject, eventdata, handles)
% This function hides makes visible the two dye panel depending on which
% dye's radiobutton has been selected.

switch get(eventdata.NewValue,'Tag') % Get Tag of selected object.
    case 'dye1_radiobutton'
        % if the first type of dye has been selected
        set(handles.dye2_panel, 'Visible','off');
        set(handles.dye1_panel, 'Visible','on');
         
    case 'dye2_radiobutton'
        % if the second type of dye has benn selected
        set(handles.dye1_panel, 'Visible','off');
        set(handles.dye2_panel, 'Visible','on');   
end



% --- Executes on selection change in dye1_popupmenu.
function dye1_popupmenu_Callback(hObject, eventdata, handles)
% This function contains a list of commonly used dye types. It also updates
% the dye parameters according to the selected dye type.

% list of commonly used dye types
dye_list=get(handles.dye1_popupmenu,'String');
% getting the name of the selected dye type
dye_type=dye_list{get(handles.dye1_popupmenu,'Value')};

switch dye_type
    case 'Alexa Fluor 647'
        set(handles.dye1_lambda,'String', '665'); % wavelength at the dye's emission peak
        set(handles.dye1_tauon,'String','0.05'); % characteristic time of  ON state
        set(handles.dye1_tauoff,'String','41.6'); % characteristic time of OFF state
        set(handles.dye1_taub,'String','1700'); % characteristic time of bleach state
        set(handles.dye1_emnofphotonpersec,'String','104000'); % photonfluxus emitted by a molecule
        set(handles.dye1_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye1_binding_angle_dev,'String','30'); % standard deviation of the binding angle
        set(handles.dye1_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye1_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye1_link_rad,'String','7'); % binding distance between the dye and the epitope
        set(handles.dye1_nonspec_dens,'String','0'); % density of non-specific labels
    case 'Alexa Fluor 568'
        set(handles.dye1_lambda,'String', '603'); % wavelength at the dye's emission peak
        set(handles.dye1_tauon,'String','0.025'); % characteristic time of  ON state
        set(handles.dye1_tauoff,'String','9.25'); % characteristic time of OFF state
        set(handles.dye1_taub,'String','100000'); % characteristic time of bleach state
        set(handles.dye1_emnofphotonpersec,'String','68000'); % photonfluxus emitted by a molecule
        set(handles.dye1_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye1_binding_angle_dev,'String','30'); % standard deviation of the binding angle
        set(handles.dye1_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye1_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye1_link_rad,'String','7'); % binding distance between the dye and the epitope
        set(handles.dye1_nonspec_dens,'String','0'); % density of non-specific labels
    case 'GFP'
        set(handles.dye1_lambda,'String', '665'); % wavelength at the dye's emission peak
        set(handles.dye1_tauon,'String','0.5'); % characteristic time of  ON state
        set(handles.dye1_tauoff,'String','0'); % characteristic time of OFF state
        set(handles.dye1_taub,'String','1700'); % characteristic time of bleach state
        set(handles.dye1_emnofphotonpersec,'String','10000'); % photonfluxus emitted by a molecule
        set(handles.dye1_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye1_binding_angle_dev,'String','30'); % standard deviation of the binding angle
        set(handles.dye1_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye1_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye1_link_rad,'String','7'); % binding distance between the dye and the epitope
        set(handles.dye1_nonspec_dens,'String','0'); % density of non-specific labels
    case 'mCherry'
        set(handles.dye1_lambda,'String', '665'); % wavelength at the dye's emission peak
        set(handles.dye1_tauon,'String','0.5'); % characteristic time of  ON state
        set(handles.dye1_tauoff,'String','0'); % characteristic time of OFF state
        set(handles.dye1_taub,'String','1700'); % characteristic time of bleach state
        set(handles.dye1_emnofphotonpersec,'String','10000'); % photonfluxus emitted by a molecule
        set(handles.dye1_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye1_binding_angle_dev,'String','30'); % standard deviation of the binding angle
        set(handles.dye1_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye1_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye1_link_rad,'String','7'); % binding distance between the dye and the epitope
        set(handles.dye1_nonspec_dens,'String','0'); % density of non-specific labels
    case 'Other'
        set(handles.dye1_lambda,'String', '0'); % wavelength at the dye's emission peak
        set(handles.dye1_tauon,'String','0'); % characteristic time of  ON state
        set(handles.dye1_tauoff,'String','0'); % characteristic time of OFF state
        set(handles.dye1_taub,'String','0'); % characteristic time of bleach state
        set(handles.dye1_emnofphotonpersec,'String','0'); % photonfluxus emitted by a molecule
        set(handles.dye1_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye1_binding_angle_dev,'String','0'); % standard deviation of the binding angle
        set(handles.dye1_N_of_labels_per_epitope, 'String', '0'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye1_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye1_link_rad,'String','0'); % binding distance between the dye and the epitope
        set(handles.dye1_nonspec_dens,'String','0'); % density of non-specific labels
end



% --- Executes on selection change in dye2_popupmenu.
function dye2_popupmenu_Callback(hObject, eventdata, handles)
% This function contains a list of commonly used dye types. It also updates
% the dye parameters according to the selected dye type.

% list of commonly used dye types
dye_list=get(handles.dye2_popupmenu,'String');
% getting the name of the selected dye type
dye_type=dye_list{get(handles.dye2_popupmenu,'Value')};

switch dye_type
    case 'Alexa Fluor 647'
        set(handles.dye2_lambda,'String', '665'); % wavelength at the dye's emission peak
        set(handles.dye2_tauon,'String','0.05'); % characteristic time of  ON state
        set(handles.dye2_tauoff,'String','41.6'); % characteristic time of OFF state
        set(handles.dye2_taub,'String','1700'); % characteristic time of bleach state
        set(handles.dye2_emnofphotonpersec,'String','104000'); % photonfluxus emitted by a molecule
        set(handles.dye2_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye2_binding_angle_dev,'String','30'); % standard deviation of the binding angle
        set(handles.dye2_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye2_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye2_link_rad,'String','7'); % binding distance between the dye and the epitope
        set(handles.dye2_nonspec_dens,'String','0'); % density of non-specific labels
    case 'Alexa Fluor 568'
        set(handles.dye2_lambda,'String', '603'); % wavelength at the dye's emission peak
        set(handles.dye2_tauon,'String','0.025'); % characteristic time of  ON state
        set(handles.dye2_tauoff,'String','9.25'); % characteristic time of OFF state
        set(handles.dye2_taub,'String','100000'); % characteristic time of bleach state
        set(handles.dye2_emnofphotonpersec,'String','68000'); % photonfluxus emitted by a molecule
        set(handles.dye2_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye2_binding_angle_dev,'String','30'); % standard deviation of the binding angle
        set(handles.dye2_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye2_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye2_link_rad,'String','7'); % binding distance between the dye and the epitope
        set(handles.dye2_nonspec_dens,'String','0'); % density of non-specific labels
    case 'GFP'
        set(handles.dye2_lambda,'String', '665'); % wavelength at the dye's emission peak
        set(handles.dye2_tauon,'String','0.5'); % characteristic time of  ON state
        set(handles.dye2_tauoff,'String','0'); % characteristic time of OFF state
        set(handles.dye2_taub,'String','1700'); % characteristic time of bleach state
        set(handles.dye2_emnofphotonpersec,'String','10000'); % photonfluxus emitted by a molecule
        set(handles.dye2_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye2_binding_angle_dev,'String','30'); % standard deviation of the binding angle
        set(handles.dye2_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye2_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye2_link_rad,'String','7'); % binding distance between the dye and the epitope
        set(handles.dye2_nonspec_dens,'String','0'); % density of non-specific labels
    case 'mCherry'
        set(handles.dye2_lambda,'String', '665'); % wavelength at the dye's emission peak
        set(handles.dye2_tauon,'String','0.5'); % characteristic time of  ON state
        set(handles.dye2_tauoff,'String','0'); % characteristic time of OFF state
        set(handles.dye2_taub,'String','1700'); % characteristic time of bleach state
        set(handles.dye2_emnofphotonpersec,'String','10000'); % photonfluxus emitted by a molecule
        set(handles.dye2_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye2_binding_angle_dev,'String','30'); % standard deviation of the binding angle
        set(handles.dye2_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye2_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye2_link_rad,'String','7'); % binding distance between the dye and the epitope
        set(handles.dye2_nonspec_dens,'String','0'); % density of non-specific labels
    case 'Other'
        set(handles.dye2_lambda,'String', '0'); % density of non-specific labels
        set(handles.dye2_tauon,'String','0'); % characteristic time of  ON state
        set(handles.dye2_tauoff,'String','0'); % characteristic time of OFF state
        set(handles.dye2_taub,'String','0'); % characteristic time of bleach state
        set(handles.dye2_emnofphotonpersec,'String','0'); % photonfluxus emitted by a molecule
        set(handles.dye2_binding_angle,'String','0'); % mean binding angle between the dye and the normal of the surface
        set(handles.dye2_binding_angle_dev,'String','0'); % standard deviation of the binding angle
        set(handles.dye2_N_of_labels_per_epitope, 'String', '1'); % mean number of dye molecules on the epitopes, follows binomial distribution
        set(handles.dye2_var_N_of_labels_per_epitope, 'String', '0'); % variance of the number of dye molecules on the epitopes
        set(handles.dye2_link_rad,'String','0'); % binding distance between the dye and the epitope
        set(handles.dye2_nonspec_dens,'String','0'); % density of non-specific labels
end


% --- Executes on button press in recalculate_button.
function recalculate_button_Callback(hObject, eventdata, handles)
% This recalculates all dye molecule positions if not fixed seed is used.
% The coordinates describing structure are reclaculated only if randomly
% distributed octagons or vesicules were used with not fixed seed.

% is not fixed seed is used
if ~get(handles.rand_gen_seed_checkbox,'Value')

    handles=get_dye_parameters(handles);
    handles=get_aq_parameters(handles);
    %pattern_list=get(handles.pattern_list,'String');
    pattern_list=handles.seq_params.patterns.list;    %get the list of added structures
    for idx_struct=1:length(pattern_list)
        if strcmp(pattern_list{idx_struct},'octagons')
            % if randomly distributed octagons were used
            if isfield(handles.seq_params.sample{idx_struct},'oct_N_ofoct')
                handles.seq_params.patterns.is_struct_calc{idx_struct}=0;   % recalculates octagons pattern
            end
        end
        if strcmp(pattern_list{idx_struct},'vesicles')
            % if randomly distributed vesicles were used
            if isfield(handles.seq_params.sample{idx_struct},'ves_N_ofves')
                handles.seq_params.patterns.is_struct_calc{idx_struct}=0;   % recalculates vesicles pattern
            end
        end
        if strcmp(pattern_list{idx_struct},'rods')
            % if randomly distributed vesicles were used
            if isfield(handles.seq_params.sample{idx_struct},'rod_N_ofrod')
                handles.seq_params.patterns.is_struct_calc{idx_struct}=0;   % recalculates rods pattern
            end
        end
    end
    
    switch get(handles.N_of_dyes_checkbox,'Value')
        case 0
            N_of_dyes=1;
        case 1
            N_of_dyes=2;
    end
    
    %if size(handles.seq_params.labels.is_cont_coords_calc,2)>0
    %    for idx_dye=1:min(length(handles.seq_params.dye),N_of_dyes)
    %        handles.seq_params.labels.is_cont_coords_calc(:, idx_dye)={0};   % recalculate contact point positions
    %    end
    %end
    if size(handles.seq_params.labels.is_mol_coords_calc,2)>0
        for idx_dye=1:min(length(handles.seq_params.dye),N_of_dyes)
            handles.seq_params.labels.is_mol_coords_calc(:, idx_dye)={0};   % recalculate dye positions
        end
    end
    
    % generate the position of the molecules (spatial structure)
    disp('Generating the position of each molecules...');
    set(handles.stat_rep,'String','Generating the position of each molecules...');
    drawnow;

    % calculating contact point and dye positions and dye orientations
    handles=get_dye_parameters(handles);
    handles=get_aq_parameters(handles);
    handles=m_gen_calc_struct_coords(handles);
    handles=m_gen_calc_dye_coords(handles);
    handles=m_gen_calc_nonspec_coords(handles);

    disp('Positions of the molecules are generated');
    set(handles.stat_rep,'String','Positions of the molecules are generated');
    drawnow;

    % Update handles structure
    guidata(hObject, handles);

else
    disp('Fixed seed is used, no recalculation executed')
end



% --- Executes on button press in save_button.
function save_button_Callback(hObject, eventdata, handles)
% This function open the dialog for choosing the save destination. It also
% gets the path and the filename to save the image into. In case of two
% dyes the output filename is appnded with a suffix that indicates to which
% type of dye the output file belongs.

[filename, pathname] = uiputfile({'*.tif';'*.raw'},'Save image stack as','test_image.tif');
if ~(isequal(filename,0) || isequal(pathname,0))
    set(handles.savedest,'String',fullfile(pathname,filename));
end



% --- Executes on button press in export_parameters_button.
function export_parameters_button_Callback(hObject, eventdata, handles)
% This function save the simulation parameters into the given file. First
% gives the default or the chosen (for the image stack) name to the output
% file, opens a dialog to choose the destination path, then reads the
% parameters from the GUI and saves them into a "*.mat" file containing the
% structure of the parameters.

if isempty(get(handles.savedest, 'String'))     % if no save destination chosen for the image stack
    parameters_output='test_image_params.mat';  % gives the default name
else
    [ output_path , output_name , ~]=fileparts(get(handles.savedest, 'String'));
    parameters_output=fullfile(output_path,[output_name,'_params','.mat']);     % creates a name from the save destination
end

[filename, pathname] = uiputfile('*.mat','Save simulation parameters as',parameters_output);    % opens the save dialog in the right folder with the right name
if ~(isequal(filename,0) || isequal(pathname,0))
    params_savedest=fullfile(pathname, filename);       % save destination of the simulation parameters
    
    % reading the simulation parameters from the GUI
    handles=get_meas_parameters(handles);
    handles=get_PSF_parameters(handles);
    handles=get_dye_parameters(handles);
    handles=get_aq_parameters(handles);
    handles=get_drift_parameters(handles);
    
    params=handles.seq_params;      % structure containing the simulation parameters
    
    save(params_savedest, '-mat', '-struct', 'params');     % saving the parameters
else    % if invalid destination was given
    error('Please give valid path or name for the simulation parameters'' output file')
end



% --- Executes on button press in import_parameters_button.
function import_parameters_button_Callback(hObject, eventdata, handles)
% This function reads the simulation parameters of a previous setup from a
% file, overwrites the actual simulation parameters and updates the GUI
% according to it.

% loading the file
if isempty(get(handles.savedest,'String'))      % if there is no chosen save destination
    params_input_path='';       % default folder will be opened in the dialog
else
    [ output_path , ~ , ~]=fileparts(get(handles.savedest, 'String'));
    params_input_path=output_path;      % otherwise that folder will be opened in the dialog
end
[filename, pathname] = uigetfile('*.mat', 'Import a simulation parameters file',params_input_path); % open file chooser dialog
params_input=fullfile(pathname, filename);      % get the full name of the parameters file

params=load(params_input, '-mat');      % load the content of the parameters file

pattern_list=params.patterns.list;      % cell containing the list of added structures
set(handles.pattern_list, 'String', pattern_list);  % update the list of added structures in the GUI

% updating the first dye panel
if isfield(params.dye{1},'type_name')
    popupmenu_list=get(handles.dye1_popupmenu, 'String');
    index=find(strcmp(popupmenu_list,params.dye{1}.type_name));
    if isempty(index)
        selected_index=1;
    elseif length(index)==1
        if index==0
            selected_index=1;
        else
            selected_index=index;
        end
    elseif length(index)>1
        selected_index=1;
    end
    set(handles.dye1_popupmenu, 'Value', selected_index);
end

set(handles.dye1_lambda,'String', num2str(params.dye{1}.lambda)); % wavelength at the dye's emission peak
if params.dye{1}.lambda<=0
	disp('Please modify the emission wavelength') 
end
set(handles.dye1_tauon,'String',num2str(params.dye{1}.tauon)); % characteristic time of  ON state
set(handles.dye1_tauoff,'String',num2str(params.dye{1}.tauoff)); % characteristic time of OFF state
set(handles.dye1_taub,'String',num2str(params.dye{1}.taub)); % characteristic time of bleach state
set(handles.dye1_emnofphotonpersec,'String',num2str(params.dye{1}.em_N_ofphotonpersec)); % photonfluxus emitted by a molecule
set(handles.dye1_binding_angle,'String',num2str(params.dye{1}.binding_angle)); % mean binding angle between the dye and the normal of the surface
set(handles.dye1_binding_angle_dev,'String',num2str(params.dye{1}.binding_angle_dev)); % standard deviation of the binding angle
set(handles.dye1_N_of_labels_per_epitope, 'String', num2str(params.dye{1}.N_of_labels_per_epitope)); % mean number of dye molecules on the epitopes, follows binomial distribution
set(handles.dye1_var_N_of_labels_per_epitope, 'String', num2str(params.dye{1}.var_N_of_labels_per_epitope)); % variance of the number of dye molecules on the epitopes
set(handles.dye1_link_rad,'String',num2str(params.dye{1}.link_rad)); % binding distance between the dye and the epitope
set(handles.dye1_nonspec_dens,'String',num2str(params.dye{1}.nonspec_dens)); % density of non-specific labels

% updating the second dye panel
if length(params.dye)==2
    if isfield(params.dye{1},'type_name')
        popupmenu_list=get(handles.dye2_popupmenu, 'String');
        index=find(strcmp(popupmenu_list,params.dye{2}.type_name));
        if isempty(index)
            selected_index=1;
        elseif length(index)==1
            if index==0
                selected_index=1;
            else
                selected_index=index;
            end
        elseif length(index)>1
            selected_index=1;
        end
        set(handles.dye2_popupmenu, 'Value', selected_index);
    end
    
    set(handles.dye2_lambda,'String', num2str(params.dye{2}.lambda)); % wavelength at the dye's emission peak
    if params.dye{2}.lambda<=0
        disp('Please modify the emission wavelength') 
    end
    set(handles.dye2_tauon,'String',num2str(params.dye{2}.tauon)); % characteristic time of  ON state
    set(handles.dye2_tauoff,'String',num2str(params.dye{2}.tauoff)); % characteristic time of OFF state
    set(handles.dye2_taub,'String',num2str(params.dye{2}.taub)); % characteristic time of bleach state
    set(handles.dye2_emnofphotonpersec,'String',num2str(params.dye{2}.em_N_ofphotonpersec)); % photonfluxus emitted by a molecule
    set(handles.dye2_binding_angle,'String',num2str(params.dye{2}.binding_angle)); % mean binding angle between the dye and the normal of the surface
    set(handles.dye2_binding_angle_dev,'String',num2str(params.dye{2}.binding_angle_dev)); % standard deviation of the binding angle
    set(handles.dye2_N_of_labels_per_epitope, 'String', num2str(params.dye{2}.N_of_labels_per_epitope)); % mean number of dye molecules on the epitopes, follows binomial distribution
    set(handles.dye2_var_N_of_labels_per_epitope, 'String', num2str(params.dye{2}.var_N_of_labels_per_epitope)); % variance of the number of dye molecules on the epitopes
    set(handles.dye2_link_rad,'String',num2str(params.dye{2}.link_rad)); % binding distance between the dye and the epitope
    set(handles.dye2_nonspec_dens,'String',num2str(params.dye{2}.nonspec_dens)); % density of non-specific labels
end

% updating the acquisition panel
set(handles.framesize,'String', num2str(params.aq.frame_size)); % The frame size NxN.
set(handles.nofframes,'String', num2str(params.aq.frame_N)); % The number of frames.
set(handles.framerate,'String', num2str(params.aq.frame_rate)); % frame/s
set(handles.exptime,'String', num2str(params.aq.frame_fill_factor/params.aq.frame_rate)); % the fraction of the exposure time used to collect photons.
set(handles.pixelsize,'String', num2str(params.aq.pixel_size)); % pixel size in nm
set(handles.bglevel,'String', num2str(params.aq.bg_level)); % background level
set(handles.autofluor_bg,'String', mat2str(params.aq.autofluor_bg)); % autofluorescence background level compard to the sum image of the blinkings
set(handles.numerical_aperture,'String', num2str(params.aq.NA)); % numerical aperture of the objective
set(handles.n_immersion,'String', num2str(params.aq.n_immersion));  % refractive index of immersion medium
set(handles.n_sample,'String', num2str(params.aq.n_sample));  % refractive index of sample
%set(handles.vect_focal_plane_dist,'String', num2str(params.aq.focal_plane_dist)); % working distance of the objective
set(handles.elpercount,'String', num2str(params.aq.elpercount));  % number of electron collected per count
set(handles.preamp,'String', num2str(params.aq.preamp));  % preamplificatioin of camera
set(handles.actemgain,'String', num2str(params.aq.actemgain));  % actual em gain
set(handles.qeff,'String', num2str(params.aq.qeff));  % quantum eff.

% updating the drift panel
if isfield(params.dye{1},'type_name')
    popupmenu_list=get(handles.drift_popupmenu, 'String');
    index=find(strcmp(popupmenu_list,params.drift.type_name));
    if isempty(index)
        selected_index=1;
    elseif length(index)==1
        if index==0
            selected_index=1;
        else
            selected_index=index;
        end
    elseif length(index)>1
        selected_index=1;
    end
    set(handles.drift_popupmenu, 'Value', selected_index);
end

set(handles.drift_mean_velocity,'String', mat2str(params.drift.mean_velocity'));	% three components velocities of the linear drift
set(handles.drift_acc_stdev,'String', mat2str(params.drift.acc_stdev'));            % three components velocities of the linear drift
set(handles.drift_damping_coeff, 'String', mat2str(params.drift.damping_coeff))     % linear and square damping coefficients

% updating PSF parameters
switch params.psf.type
    case 'gaussian'
        set(handles.colleff,'String', num2str(params.psf.colleff));  % collection eff.
    case 'scalar'     % update Zernike aberration terms and parameters for Lanni-Gibson aberration
        %set(handles.scal_astigmatism, 'String', mat2str([params.psf.astigmatism_x, params.psf.astigmatism_y]));
        %set(handles.scal_coma, 'String', mat2str([params.psf.coma_x, params.psf.coma_y]));
        %set(handles.scal_spherical_ab, 'String', num2str(params.psf.spherical_ab));
        set(handles.scal_sample_depth, 'String', num2str(params.psf.sample_depth));
        %set(handles.scal_n_sample, 'String', num2str(params.psf.n_sample));
        set(handles.scal_focal_plane_dist, 'String', num2str(params.psf.focal_plane_dist));
        %set(handles.n_cover_slip, 'String', num2str(params.psf.cover_slip));
    case 'vectorial'
        %set(handles.vect_astigmatism, 'String', mat2str([params.psf.astigmatism_x, params.psf.astigmatism_y]));
        %set(handles.vect_coma, 'String', mat2str([params.psf.coma_x, params.psf.coma_y]));
        %set(handles.vect_spherical_ab, 'String', num2str(params.psf.spherical_ab));
        set(handles.vect_sample_depth, 'String', num2str(params.psf.sample_depth));
        %set(handles.vect_n_sample, 'String', num2str(params.psf.n_sample));
        set(handles.vect_focal_plane_dist, 'String', num2str(params.psf.focal_plane_dist));
        set(handles.el_field_dir, 'String', mat2str(params.psf.el_field_dir));
        %set(handles.n_cover_slip, 'String', num2str(params.psf.cover_slip));
end

% updating the buttons and the aberration panel visibility according to the
% chosen PSF model
switch params.psf.type
    case 'gaussian'	% Gaussian PSF
        set(handles.gaussian_PSF_button,'Value',1);
        set(handles.gaussian_PSF_panel, 'Visible', 'On');
        set(handles.scalar_PSF_panel, 'Visible', 'Off');
        set(handles.vectorial_PSF_panel, 'Visible', 'Off');
    case 'scalar'        % PSF based on scalar diffraction
        set(handles.scalar_PSF_button,'Value',1);
        set(handles.gaussian_PSF_panel, 'Visible', 'Off');
        set(handles.scalar_PSF_panel, 'Visible', 'On');
        set(handles.vectorial_PSF_panel, 'Visible', 'Off');
    case 'vectorial'     % PSF based on vectorial diffraction
        set(handles.vectorial_PSF_button,'Value',1);
        set(handles.gaussian_PSF_panel, 'Visible', 'Off');
        set(handles.scalar_PSF_panel, 'Visible', 'Off');
        set(handles.vectorial_PSF_panel, 'Visible', 'On');
end

% setting only the first dye panel visible and updating the buttons
% according to it
set(handles.dye1_radiobutton,'Value',1)
set(handles.dye1_panel, 'Visible','On');
set(handles.dye2_panel, 'Visible','Off');

% updating the buttons and the parameter of channel crosstalk according to whether mulitocolor measurement is used or not
if params.meas.multicolor_bool  % in case of one type dye
    set(handles.dye2_radiobutton,'Enable','On');
    set(handles.dye_crosstalk, 'Enable', 'On');
    set(handles.N_of_dyes_checkbox, 'Value', 1)
    set(handles.dye_crosstalk, 'String', mat2str(params.meas.crosstalk));     %crosstalk between the two split images
    if size(params.meas.crosstalk,1)~=2
        disp('Please give two values for the crosstalk')
    else
        if (params.meas.crosstalk(1)>1 || params.meas.crosstalk(1)<0) || (params.meas.crosstalk(2)>1 || params.meas.crosstalk(2)<0)
            disp('Wrong values were given for the crosstalk')
        end
    end
else  % in case of two types dyes
    set(handles.dye2_radiobutton,'Enable','Off');
    set(handles.dye_crosstalk, 'Enable', 'Off');
    set(handles.N_of_dyes_checkbox, 'Value', 0)
end

% in case of polarization sensitive measurement
if params.meas.polarization_bool
    set(handles.polarization_sens_checkbox, 'Value', 1)
end

% updating the buttons and the parameter of the cylindrical lens according to whether astigmatic 3D measurement is used or not
if params.meas.astigmatic_bool
    set(handles.astigmatic_checkbox, 'Value', 1);
    set(handles.cylindrical_f, 'Enable', 'On');
    set(handles.cylindrical_f, 'String', num2str(params.meas.cylindrical_f));    % focal length of the cylindrical lens
    if params.meas.cylindrical_f==Inf || params.meas.cylindrical_f==0
       disp('Please give the cylindrical lens an appropriate focal length value.') 
    end
    set(handles.magnification, 'Enable', 'On');
    set(handles.magnification, 'String', num2str(params.meas.magnification));    % magnification of the objective
    if params.meas.magnification==Inf || params.meas.magnification==0
       disp('Please give an appropriate magnification value.') 
    end
    set(handles.tube_f, 'Enable', 'On');
    set(handles.tube_f, 'String', num2str(params.meas.tube_f));    % focal length of the tube lens
    if params.meas.tube_f==Inf || params.meas.tube_f==0
       disp('Please give the tube lens an appropriate focal length value.') 
    end
else
    set(handles.astigmatic_checkbox, 'Value', 0)
    set(handles.cylindrical_f, 'Enable', 'Off');
    set(handles.magnification, 'Enable', 'Off');
    set(handles.tube_f, 'Enable', 'Off');
end

if params.psf.anisotropy_bool
    set(handles.anisotropy_checkbox, 'Value', 1)
    set(handles.an_cone_angle, 'Enable', 'On');
    set(handles.an_tau_ratio, 'Enable', 'On');
    set(handles.an_cone_angle, 'String', num2str(params.psf.an_cone_angle));
    set(handles.an_tau_ratio, 'String', num2str(params.psf.an_tau_ratio));
else
    set(handles.anisotropy_checkbox, 'Value', 0)
    set(handles.an_cone_angle, 'Enable', 'Off');
    set(handles.an_tau_ratio, 'Enable', 'Off');
end

handles.seq_params=params;
% Update handles structure
guidata(hObject, handles);



% --- Executes on button press in generate_button.
function generate_button_Callback(hObject, eventdata, handles)
% This function generates the stack in TIFF. In that process it generates
% it calculates the contact point and dye positions and dye orientations,
% temporal trajectories for the dye molecules, generating the matrices
% containing the pixel values, calculating the crosstalk between the
% images, and writing the pixel values into the image file.

%handles=guidata(hObject); not needed as I think

if isempty(get(handles.savedest,'String'))
   error('Please give a valid save destination') 
end

% generate the position of the molecules (spatial structure)
disp('Generating the position of each molecule...');
set(handles.stat_rep,'String','Generating the position of each molecules...');
drawnow;

% calculating contact point and dye positions and dye orientations
handles=get_meas_parameters(handles);
handles=get_PSF_parameters(handles);
handles=get_dye_parameters(handles);
handles=get_aq_parameters(handles);
handles=get_drift_parameters(handles);
handles=m_gen_calc_struct_coords(handles);
handles=m_gen_calc_dye_coords(handles);
handles=m_gen_calc_nonspec_coords(handles);

disp('Positions of the molecules are generated...');
set(handles.stat_rep,'String','Positions of the molecules are generated');
drawnow;

% Update handles structure
guidata(hObject, handles);

N_of_dyes=0;

[ output_path , output_name , ext]=fileparts(get(handles.savedest,'String'));
% generating output paths and filenames
switch get(handles.N_of_dyes_checkbox,'Value')
    case 0  % if one type of dye is used
        N_of_dyes=1;
        output_file_names{1}=fullfile(output_path,[output_name,ext]);
    case 1  % if two types of dye is used
        N_of_dyes=2;
        [ output_path , output_name , ext]=fileparts(get(handles.savedest,'String'));
        output_file_names{1}=fullfile(output_path,[[output_name,'_dye1'],ext]);
        output_file_names{2}=fullfile(output_path,[[output_name,'_dye2'],ext]);
end

% passing variables
seq_params=handles.seq_params;

% saving simulation parameters
filename_params=fullfile(output_path,[output_name,'_params','.mat']);   % path and name of file to save the simulation parameters

if exist(filename_params,'file')        % if exist a file with the same name...
    delete(filename_params);            % delete it
end

save(filename_params, '-mat', '-struct', 'seq_params');     % save the simulation parameters

% Calculate max time
traj_t_max=seq_params.aq.frame_N/seq_params.aq.frame_rate;

seq=cell(2,1);  % cell containing two arrays containing matrix for image generation

for idx_dye=1:min(length(handles.seq_params.dye),N_of_dyes)
    seq_params.dye=handles.seq_params.dye{idx_dye}; % parameters of the actual dye
    seq_params.dye.name='base_dye';     % did not want to change this...
    % calculate photon-count conversion
    %seq_params.dye.N_ofphotonpersec=seq_params.dye.em_N_ofphotonpersec*seq_params.aq.colleff*seq_params.aq.preamp*seq_params.aq.actemgain*...
    %seq_params.aq.qeff/seq_params.aq.elpercount;
    
    % initial positions if the dye molecules in an array
    [molecule_pos, molecule_orient]=m_gen_combine_dyes( handles, idx_dye );

    % generate the trajectory of each molecules (behavior in time) 
    disp('Generating the trajectory of each molecules...');
    set(handles.stat_rep,'String','Generating the trajectory of each molecules...');
    drawnow;

    trajs=m_gen_traj_gen(...
        seq_params.dye.name,...
        traj_t_max,...
        molecule_pos,...
        molecule_orient,...
        seq_params.dye,...
        1);

    %generating the matrix for the image stack
    disp('Generating the frame stack...');
    set(handles.stat_rep,'String','Generating the frame stack...');
    drawnow;
    seq{idx_dye}=m_gen_trajs_to_seq(...
        seq_params,...
        trajs.ts);
end

% if two types of dyes are used, the crosstalk is taken into acount between the images
if N_of_dyes==2
    if ~isfield(seq_params.meas, 'crosstalk')
        error('Something is wrong with the crosstalk')
    end
    crosstalk=seq_params.meas.crosstalk;
    for idx_pol=1:length(seq{1}.frame)
        seq_temp=seq{1}.frame{idx_pol};
        seq{1}.frame{idx_pol}=(1-crosstalk(1))*seq{1}.frame{idx_pol}+crosstalk(2)*seq{2}.frame{idx_pol};
        seq{2}.frame{idx_pol}=crosstalk(1)*seq_temp+(1-crosstalk(2))*seq{2}.frame{idx_pol};
    end
end

% Add noise
disp('Adding noise...');
set(handles.stat_rep,'String','Adding noise...');
drawnow;

for idx_dye=1:min(length(handles.seq_params.dye),N_of_dyes)
    seq_n{idx_dye}=m_gen_noise_addition(...
        seq{idx_dye},...
        seq_params.aq);
end

% save the stack in TIFF
disp('Saving the stack into the file...');
set(handles.stat_rep,'String','Saving the stack into the file...');
drawnow;
for idx_dye=1:min(length(handles.seq_params.dye),N_of_dyes)
    output_file_name=output_file_names{idx_dye};    % name of the output file for the actual dye
    m_gen_seq_save(seq_n{idx_dye}, output_file_name, seq_params.meas.polarization_bool);
end


disp('...Successfully finished!');
set(handles.stat_rep,'String','...Successfully finished!');
drawnow;

% what is it usefull for?
%assignin('base','seq_params',seq_params);
%assignin('base','molecule_pos',molecule_pos);
%assignin('base','trajs',trajs);
%assignin('base','seq',seq);
%assignin('base','seq_n',seq_n);



% --- Executes on button press in plot_button.
function plot_button_Callback(hObject, eventdata, handles)
% This function calls the function that plots the dye molecule positions.
% It also calculates the dye molecule positions and orientations if needed.

%handles=guidata(hObject); not needed as I think

% generate the position of the molecules (spatial structure)
disp('Generating the position of each molecule...');
set(handles.stat_rep,'String','Generating the position of each molecule...');
drawnow;

% calculating contact point and dye positions and dye orientations
handles=get_meas_parameters(handles);
handles=get_PSF_parameters(handles);
handles=get_dye_parameters(handles);
handles=get_aq_parameters(handles);
handles=m_gen_calc_struct_coords(handles);
handles=m_gen_calc_dye_coords(handles);
handles=m_gen_calc_nonspec_coords(handles);

disp('Positions of the molecules are generated...');
set(handles.stat_rep,'String','Positions of the molecules are generated...');
drawnow;

% Update handles structure
guidata(hObject, handles);

switch get(handles.N_of_dyes_checkbox,'Value')
    case 0
        N_of_dyes=1;
        %output_name{1}='E:/n/teststrom_dy1.tif';
    case 1
        N_of_dyes=2;
        %output_name{2}='E:/n/teststrom_dy2.tif';
end

% "x" and "y" extension of the area captured by the camera
extent=handles.seq_params.aq.frame_size*handles.seq_params.aq.pixel_size;

f=figure('Name','Simulation Plot Window');

% plotting dye positions attached to the structures
for idx_dye=1:min(length(handles.seq_params.dye),N_of_dyes)
    for idx_pattern=1:size(handles.seq_params.labels.init_dye_coords,1)
        dye_pos=handles.seq_params.labels.init_dye_coords{idx_pattern,idx_dye};
        if ~isempty(dye_pos)
            m_gen_plot_mol_coord(dye_pos, f, idx_dye, extent);
        end
        hold on
    end
end

% plotting nonspecific dye positions
for idx_dye=1:min(length(handles.seq_params.dye),N_of_dyes)
    dye_pos=handles.seq_params.labels.init_nonspec_coords{idx_dye};
    if ~isempty(dye_pos)
        m_gen_plot_mol_coord(dye_pos, f, idx_dye, extent);
    end
    hold on
end

disp('Plot finished...');
set(handles.stat_rep,'String','Plot finished...');
drawnow;

% Update handles structure
guidata(hObject, handles);



% --- Executes on button press in seg_read_file_button.
function seg_read_file_button_Callback(hObject, eventdata, handles)
% This function opens the dialog to choose a "snake" file (segmented line).
% It saves the files path.

[filename, pathname] = uigetfile({'*.txt'},'Open snakes file');
if ~(isequal(filename,0) || isequal(pathname,0))
    set(handles.seg_filename,'String',fullfile(pathname,filename));
end



% --- Executes on button press in seg_read_mesh_button.
function seg_read_mesh_button_Callback(hObject, eventdata, handles)
% This function opens the dialog to choose an "*.stl" file (mesh format).
% It saves the files path.

[filename, pathname] = uigetfile({'*.stl'},'Open mesh file');
if ~(isequal(filename,0) || isequal(pathname,0))
    set(handles.mesh_filename,'String',fullfile(pathname,filename));
end



% --- Executes on selection change in pattern_list.
function pattern_list_Callback(hObject, eventdata, handles)
% hObject    handle to pattern_list (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns pattern_list contents as cell array
%        contents{get(hObject,'Value')} returns selected item from pattern_list



% --- Executes during object creation, after setting all properties.
function pattern_list_CreateFcn(hObject, eventdata, handles)
% hObject    handle to pattern_list (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



% --- Executes during object creation, after setting all properties.
function verify_pattern_button_CreateFcn(hObject, eventdata, handles)
% hObject    handle to verify_pattern_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called



% --- Executes when figure1 is resized.
function figure1_ResizeFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%
%Ez nem kell..



% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over verify_pattern_button.
function verify_pattern_button_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to verify_pattern_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%
%Ez nem kell..


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over add_button.
function add_button_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to add_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%
%Ez nem kell..


% --- Executes on key press with focus on add_button and none of its controls.
function add_button_KeyPressFcn(hObject, eventdata, handles)
% hObject    handle to add_button (see GCBO)
% eventdata  structure with the following fields (see UICONTROL)
%	Key: name of the key that was pressed, in lower case
%	Character: character interpretation of the key(s) that was pressed
%	Modifier: name(s) of the modifier key(s) (i.e., control, shift) pressed
% handles    structure with handles and user data (see GUIDATA)
%
%Ez nem kell..


% --- Executes on button press in reset_pattern_button.
function reset_pattern_button_Callback(hObject, eventdata, handles)
% hObject    handle to reset_pattern_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


function lattice_mol_Callback(hObject, eventdata, handles)
% hObject    handle to lattice_mol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lattice_mol as text
%        str2double(get(hObject,'String')) returns contents of lattice_mol as a double


% --- Executes during object creation, after setting all properties.
function lattice_mol_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lattice_mol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lattice_alpha_Callback(hObject, eventdata, handles)
% hObject    handle to lattice_alpha (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lattice_alpha as text
%        str2double(get(hObject,'String')) returns contents of lattice_alpha as a double


% --- Executes during object creation, after setting all properties.
function lattice_alpha_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lattice_alpha (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lattice_dim_Callback(hObject, eventdata, handles)
% hObject    handle to lattice_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lattice_dim as text
%        str2double(get(hObject,'String')) returns contents of lattice_dim as a double


% --- Executes during object creation, after setting all properties.
function lattice_dim_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lattice_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lattice_dist_Callback(hObject, eventdata, handles)
% hObject    handle to lattice_dist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lattice_dist as text
%        str2double(get(hObject,'String')) returns contents of lattice_dist as a double


% --- Executes during object creation, after setting all properties.
function lattice_dist_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lattice_dist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lines_dens_Callback(hObject, eventdata, handles)
% hObject    handle to lines_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lines_dens as text
%        str2double(get(hObject,'String')) returns contents of lines_dens as a double


% --- Executes during object creation, after setting all properties.
function lines_dens_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lines_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lines_z_Callback(hObject, eventdata, handles)
% hObject    handle to lines_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lines_z as text
%        str2double(get(hObject,'String')) returns contents of lines_z as a double


% --- Executes during object creation, after setting all properties.
function lines_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lines_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lines_alpha_Callback(hObject, eventdata, handles)
% hObject    handle to lines_alpha (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lines_alpha as text
%        str2double(get(hObject,'String')) returns contents of lines_alpha as a double


% --- Executes during object creation, after setting all properties.
function lines_alpha_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lines_alpha (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lines_dist_Callback(hObject, eventdata, handles)
% hObject    handle to lines_dist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lines_dist as text
%        str2double(get(hObject,'String')) returns contents of lines_dist as a double


% --- Executes during object creation, after setting all properties.
function lines_dist_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lines_dist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lines_radius_Callback(hObject, eventdata, handles)
% hObject    handle to lines_radius (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lines_radius as text
%        str2double(get(hObject,'String')) returns contents of lines_radius as a double


% --- Executes during object creation, after setting all properties.
function lines_radius_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lines_radius (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function lines_dim_Callback(hObject, eventdata, handles)
% hObject    handle to lines_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of lines_dim as text
%        str2double(get(hObject,'String')) returns contents of lines_dim as a double


% --- Executes during object creation, after setting all properties.
function lines_dim_CreateFcn(hObject, eventdata, handles)
% hObject    handle to lines_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function star_mol_dens_Callback(hObject, eventdata, handles)
% hObject    handle to star_mol_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of star_mol_dens as text
%        str2double(get(hObject,'String')) returns contents of star_mol_dens as a double


% --- Executes during object creation, after setting all properties.
function star_mol_dens_CreateFcn(hObject, eventdata, handles)
% hObject    handle to star_mol_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function star_z_Callback(hObject, eventdata, handles)
% hObject    handle to star_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of star_z as text
%        str2double(get(hObject,'String')) returns contents of star_z as a double


% --- Executes during object creation, after setting all properties.
function star_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to star_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function star_dim_Callback(hObject, eventdata, handles)
% hObject    handle to star_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of star_dim as text
%        str2double(get(hObject,'String')) returns contents of star_dim as a double


% --- Executes during object creation, after setting all properties.
function star_dim_CreateFcn(hObject, eventdata, handles)
% hObject    handle to star_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in ves_rand_button.
function ves_rand_button_Callback(hObject, eventdata, handles)
% hObject    handle to ves_rand_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of ves_rand_button


% --- Executes on button press in ves_fix_button.
function ves_fix_button_Callback(hObject, eventdata, handles)
% hObject    handle to ves_fix_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of ves_fix_button



function ves_dim_Callback(hObject, eventdata, handles)
% hObject    handle to ves_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_dim as text
%        str2double(get(hObject,'String')) returns contents of ves_dim as a double


% --- Executes during object creation, after setting all properties.
function ves_dim_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_N_ofves_Callback(hObject, eventdata, handles)
% hObject    handle to ves_N_ofves (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_N_ofves as text
%        str2double(get(hObject,'String')) returns contents of ves_N_ofves as a double


% --- Executes during object creation, after setting all properties.
function ves_N_ofves_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_N_ofves (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_zmax_Callback(hObject, eventdata, handles)
% hObject    handle to ves_zmax (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_zmax as text
%        str2double(get(hObject,'String')) returns contents of ves_zmax as a double


% --- Executes during object creation, after setting all properties.
function ves_zmax_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_zmax (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_Rad_ofves_Callback(hObject, eventdata, handles)
% hObject    handle to ves_Rad_ofves (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_Rad_ofves as text
%        str2double(get(hObject,'String')) returns contents of ves_Rad_ofves as a double


% --- Executes during object creation, after setting all properties.
function ves_Rad_ofves_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_Rad_ofves (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_Sig_ofves_Callback(hObject, eventdata, handles)
% hObject    handle to ves_Sig_ofves (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_Sig_ofves as text
%        str2double(get(hObject,'String')) returns contents of ves_Sig_ofves as a double


% --- Executes during object creation, after setting all properties.
function ves_Sig_ofves_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_Sig_ofves (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_N_ofmol_Callback(hObject, eventdata, handles)
% hObject    handle to ves_N_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_N_ofmol as text
%        str2double(get(hObject,'String')) returns contents of ves_N_ofmol as a double


% --- Executes during object creation, after setting all properties.
function ves_N_ofmol_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_N_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_Sig_ofmol_Callback(hObject, eventdata, handles)
% hObject    handle to ves_Sig_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_Sig_ofmol as text
%        str2double(get(hObject,'String')) returns contents of ves_Sig_ofmol as a double


% --- Executes during object creation, after setting all properties.
function ves_Sig_ofmol_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_Sig_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_fix_x_Callback(hObject, eventdata, handles)
% hObject    handle to ves_fix_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_fix_x as text
%        str2double(get(hObject,'String')) returns contents of ves_fix_x as a double


% --- Executes during object creation, after setting all properties.
function ves_fix_x_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_fix_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_fix_y_Callback(hObject, eventdata, handles)
% hObject    handle to ves_fix_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_fix_y as text
%        str2double(get(hObject,'String')) returns contents of ves_fix_y as a double


% --- Executes during object creation, after setting all properties.
function ves_fix_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_fix_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_fix_z_Callback(hObject, eventdata, handles)
% hObject    handle to ves_fix_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_fix_z as text
%        str2double(get(hObject,'String')) returns contents of ves_fix_z as a double


% --- Executes during object creation, after setting all properties.
function ves_fix_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_fix_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_fix_rad_Callback(hObject, eventdata, handles)
% hObject    handle to ves_fix_rad (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_fix_rad as text
%        str2double(get(hObject,'String')) returns contents of ves_fix_rad as a double


% --- Executes during object creation, after setting all properties.
function ves_fix_rad_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_fix_rad (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function ves_fix_N_Callback(hObject, eventdata, handles)
% hObject    handle to ves_fix_N (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of ves_fix_N as text
%        str2double(get(hObject,'String')) returns contents of ves_fix_N as a double


% --- Executes during object creation, after setting all properties.
function ves_fix_N_CreateFcn(hObject, eventdata, handles)
% hObject    handle to ves_fix_N (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function oct_dim_Callback(hObject, eventdata, handles)
% hObject    handle to oct_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_dim as text
%        str2double(get(hObject,'String')) returns contents of oct_dim as a double


% --- Executes during object creation, after setting all properties.
function oct_dim_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_N_ofmol_Callback(hObject, eventdata, handles)
% hObject    handle to oct_N_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_N_ofmol as text
%        str2double(get(hObject,'String')) returns contents of oct_N_ofmol as a double


% --- Executes during object creation, after setting all properties.
function oct_N_ofmol_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_N_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_zmax_Callback(hObject, eventdata, handles)
% hObject    handle to oct_zmax (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_zmax as text
%        str2double(get(hObject,'String')) returns contents of oct_zmax as a double


% --- Executes during object creation, after setting all properties.
function oct_zmax_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_zmax (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_Rad_ofoct_Callback(hObject, eventdata, handles)
% hObject    handle to oct_Rad_ofoct (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_Rad_ofoct as text
%        str2double(get(hObject,'String')) returns contents of oct_Rad_ofoct as a double


% --- Executes during object creation, after setting all properties.
function oct_Rad_ofoct_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_Rad_ofoct (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_Sig_ofoct_Callback(hObject, eventdata, handles)
% hObject    handle to oct_Sig_ofoct (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_Sig_ofoct as text
%        str2double(get(hObject,'String')) returns contents of oct_Sig_ofoct as a double


% --- Executes during object creation, after setting all properties.
function oct_Sig_ofoct_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_Sig_ofoct (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_Sig_ofmol_Callback(hObject, eventdata, handles)
% hObject    handle to oct_Sig_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_Sig_ofmol as text
%        str2double(get(hObject,'String')) returns contents of oct_Sig_ofmol as a double


% --- Executes during object creation, after setting all properties.
function oct_Sig_ofmol_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_Sig_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_fix_x_Callback(hObject, eventdata, handles)
% hObject    handle to oct_fix_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_fix_x as text
%        str2double(get(hObject,'String')) returns contents of oct_fix_x as a double


% --- Executes during object creation, after setting all properties.
function oct_fix_x_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_fix_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_fix_y_Callback(hObject, eventdata, handles)
% hObject    handle to oct_fix_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_fix_y as text
%        str2double(get(hObject,'String')) returns contents of oct_fix_y as a double


% --- Executes during object creation, after setting all properties.
function oct_fix_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_fix_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_fix_z_Callback(hObject, eventdata, handles)
% hObject    handle to oct_fix_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_fix_z as text
%        str2double(get(hObject,'String')) returns contents of oct_fix_z as a double


% --- Executes during object creation, after setting all properties.
function oct_fix_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_fix_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_fix_rad_Callback(hObject, eventdata, handles)
% hObject    handle to oct_fix_rad (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_fix_rad as text
%        str2double(get(hObject,'String')) returns contents of oct_fix_rad as a double


% --- Executes during object creation, after setting all properties.
function oct_fix_rad_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_fix_rad (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_fix_N_Callback(hObject, eventdata, handles)
% hObject    handle to oct_fix_N (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_fix_N as text
%        str2double(get(hObject,'String')) returns contents of oct_fix_N as a double


% --- Executes during object creation, after setting all properties.
function oct_fix_N_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_fix_N (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function mesh_scaling_Callback(hObject, eventdata, handles)
% hObject    handle to mesh_scaling (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of mesh_scaling as text
%        str2double(get(hObject,'String')) returns contents of mesh_scaling as a double


% --- Executes during object creation, after setting all properties.
function mesh_scaling_CreateFcn(hObject, eventdata, handles)
% hObject    handle to mesh_scaling (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function mesh_disp_x_Callback(hObject, eventdata, handles)
% hObject    handle to mesh_disp_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of mesh_disp_x as text
%        str2double(get(hObject,'String')) returns contents of mesh_disp_x as a double


% --- Executes during object creation, after setting all properties.
function mesh_disp_x_CreateFcn(hObject, eventdata, handles)
% hObject    handle to mesh_disp_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function mesh_disp_y_Callback(hObject, eventdata, handles)
% hObject    handle to mesh_disp_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of mesh_disp_y as text
%        str2double(get(hObject,'String')) returns contents of mesh_disp_y as a double


% --- Executes during object creation, after setting all properties.
function mesh_disp_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to mesh_disp_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function mesh_disp_z_Callback(hObject, eventdata, handles)
% hObject    handle to mesh_disp_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of mesh_disp_z as text
%        str2double(get(hObject,'String')) returns contents of mesh_disp_z as a double


% --- Executes during object creation, after setting all properties.
function mesh_disp_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to mesh_disp_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function mesh_rot_fi_Callback(hObject, eventdata, handles)
% hObject    handle to mesh_rot_fi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of mesh_rot_fi as text
%        str2double(get(hObject,'String')) returns contents of mesh_rot_fi as a double


% --- Executes during object creation, after setting all properties.
function mesh_rot_fi_CreateFcn(hObject, eventdata, handles)
% hObject    handle to mesh_rot_fi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function mesh_rot_theta_Callback(hObject, eventdata, handles)
% hObject    handle to mesh_rot_theta (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of mesh_rot_theta as text
%        str2double(get(hObject,'String')) returns contents of mesh_rot_theta as a double


% --- Executes during object creation, after setting all properties.
function mesh_rot_theta_CreateFcn(hObject, eventdata, handles)
% hObject    handle to mesh_rot_theta (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function seg_scaling_Callback(hObject, eventdata, handles)
% hObject    handle to seg_scaling (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of seg_scaling as text
%        str2double(get(hObject,'String')) returns contents of seg_scaling as a double


% --- Executes during object creation, after setting all properties.
function seg_scaling_CreateFcn(hObject, eventdata, handles)
% hObject    handle to seg_scaling (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function seg_disp_x_Callback(hObject, eventdata, handles)
% hObject    handle to seg_disp_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of seg_disp_x as text
%        str2double(get(hObject,'String')) returns contents of seg_disp_x as a double


% --- Executes during object creation, after setting all properties.
function seg_disp_x_CreateFcn(hObject, eventdata, handles)
% hObject    handle to seg_disp_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function seg_disp_y_Callback(hObject, eventdata, handles)
% hObject    handle to seg_disp_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of seg_disp_y as text
%        str2double(get(hObject,'String')) returns contents of seg_disp_y as a double


% --- Executes during object creation, after setting all properties.
function seg_disp_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to seg_disp_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function seg_disp_z_Callback(hObject, eventdata, handles)
% hObject    handle to seg_disp_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of seg_disp_z as text
%        str2double(get(hObject,'String')) returns contents of seg_disp_z as a double


% --- Executes during object creation, after setting all properties.
function seg_disp_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to seg_disp_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function seg_rot_fi_Callback(hObject, eventdata, handles)
% hObject    handle to seg_rot_fi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of seg_rot_fi as text
%        str2double(get(hObject,'String')) returns contents of seg_rot_fi as a double


% --- Executes during object creation, after setting all properties.
function seg_rot_fi_CreateFcn(hObject, eventdata, handles)
% hObject    handle to seg_rot_fi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function seg_rot_theta_Callback(hObject, eventdata, handles)
% hObject    handle to seg_rot_theta (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of seg_rot_theta as text
%        str2double(get(hObject,'String')) returns contents of seg_rot_theta as a double


% --- Executes during object creation, after setting all properties.
function seg_rot_theta_CreateFcn(hObject, eventdata, handles)
% hObject    handle to seg_rot_theta (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function seg_radius_Callback(hObject, eventdata, handles)
% hObject    handle to seg_radius (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of seg_radius as text
%        str2double(get(hObject,'String')) returns contents of seg_radius as a double


% --- Executes during object creation, after setting all properties.
function seg_radius_CreateFcn(hObject, eventdata, handles)
% hObject    handle to seg_radius (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function seg_dens_Callback(hObject, eventdata, handles)
% hObject    handle to seg_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of seg_dens as text
%        str2double(get(hObject,'String')) returns contents of seg_dens as a double


% --- Executes during object creation, after setting all properties.
function seg_dens_CreateFcn(hObject, eventdata, handles)
% hObject    handle to seg_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function mesh_dens_Callback(hObject, eventdata, handles)
% hObject    handle to mesh_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of mesh_dens as text
%        str2double(get(hObject,'String')) returns contents of mesh_dens as a double


% --- Executes during object creation, after setting all properties.
function mesh_dens_CreateFcn(hObject, eventdata, handles)
% hObject    handle to mesh_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function dye1_lambda_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_lambda (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_lambda as text
%        str2double(get(hObject,'String')) returns contents of dye1_lambda as a double


% --- Executes during object creation, after setting all properties.
function dye1_lambda_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_lambda (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_tauon_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_tauon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_tauon as text
%        str2double(get(hObject,'String')) returns contents of dye1_tauon as a double


% --- Executes during object creation, after setting all properties.
function dye1_tauon_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_tauon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_tauoff_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_tauoff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_tauoff as text
%        str2double(get(hObject,'String')) returns contents of dye1_tauoff as a double


% --- Executes during object creation, after setting all properties.
function dye1_tauoff_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_tauoff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_taub_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_taub (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_taub as text
%        str2double(get(hObject,'String')) returns contents of dye1_taub as a double


% --- Executes during object creation, after setting all properties.
function dye1_taub_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_taub (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_emnofphotonpersec_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_emnofphotonpersec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_emnofphotonpersec as text
%        str2double(get(hObject,'String')) returns contents of dye1_emnofphotonpersec as a double


% --- Executes during object creation, after setting all properties.
function dye1_emnofphotonpersec_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_emnofphotonpersec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_binding_angle_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_binding_angle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_binding_angle as text
%        str2double(get(hObject,'String')) returns contents of dye1_binding_angle as a double


% --- Executes during object creation, after setting all properties.
function dye1_binding_angle_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_binding_angle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_binding_angle_dev_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_binding_angle_dev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_binding_angle_dev as text
%        str2double(get(hObject,'String')) returns contents of dye1_binding_angle_dev as a double


% --- Executes during object creation, after setting all properties.
function dye1_binding_angle_dev_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_binding_angle_dev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_N_of_labels_per_epitope_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_N_of_labels_per_epitope (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_N_of_labels_per_epitope as text
%        str2double(get(hObject,'String')) returns contents of dye1_N_of_labels_per_epitope as a double


% --- Executes during object creation, after setting all properties.
function dye1_N_of_labels_per_epitope_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_N_of_labels_per_epitope (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_var_N_of_labels_per_epitope_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_var_N_of_labels_per_epitope (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_var_N_of_labels_per_epitope as text
%        str2double(get(hObject,'String')) returns contents of dye1_var_N_of_labels_per_epitope as a double


% --- Executes during object creation, after setting all properties.
function dye1_var_N_of_labels_per_epitope_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_var_N_of_labels_per_epitope (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_link_rad_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_link_rad (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_link_rad as text
%        str2double(get(hObject,'String')) returns contents of dye1_link_rad as a double


% --- Executes during object creation, after setting all properties.
function dye1_link_rad_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_link_rad (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit63_Callback(hObject, eventdata, handles)
% hObject    handle to edit63 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit63 as text
%        str2double(get(hObject,'String')) returns contents of edit63 as a double


% --- Executes during object creation, after setting all properties.
function edit63_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit63 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes during object creation, after setting all properties.
function dye1_popupmenu_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_popupmenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye1_nonspec_dens_Callback(hObject, eventdata, handles)
% hObject    handle to dye1_nonspec_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye1_nonspec_dens as text
%        str2double(get(hObject,'String')) returns contents of dye1_nonspec_dens as a double


% --- Executes during object creation, after setting all properties.
function dye1_nonspec_dens_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye1_nonspec_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function framesize_Callback(hObject, eventdata, handles)
% hObject    handle to framesize (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of framesize as text
%        str2double(get(hObject,'String')) returns contents of framesize as a double


% --- Executes during object creation, after setting all properties.
function framesize_CreateFcn(hObject, eventdata, handles)
% hObject    handle to framesize (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function nofframes_Callback(hObject, eventdata, handles)
% hObject    handle to nofframes (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of nofframes as text
%        str2double(get(hObject,'String')) returns contents of nofframes as a double


% --- Executes during object creation, after setting all properties.
function nofframes_CreateFcn(hObject, eventdata, handles)
% hObject    handle to nofframes (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function framerate_Callback(hObject, eventdata, handles)
% hObject    handle to framerate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of framerate as text
%        str2double(get(hObject,'String')) returns contents of framerate as a double


% --- Executes during object creation, after setting all properties.
function framerate_CreateFcn(hObject, eventdata, handles)
% hObject    handle to framerate (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function exptime_Callback(hObject, eventdata, handles)
% hObject    handle to exptime (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of exptime as text
%        str2double(get(hObject,'String')) returns contents of exptime as a double


% --- Executes during object creation, after setting all properties.
function exptime_CreateFcn(hObject, eventdata, handles)
% hObject    handle to exptime (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function pixelsize_Callback(hObject, eventdata, handles)
% hObject    handle to pixelsize (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of pixelsize as text
%        str2double(get(hObject,'String')) returns contents of pixelsize as a double


% --- Executes during object creation, after setting all properties.
function pixelsize_CreateFcn(hObject, eventdata, handles)
% hObject    handle to pixelsize (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function bglevel_Callback(hObject, eventdata, handles)
% hObject    handle to bglevel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of bglevel as text
%        str2double(get(hObject,'String')) returns contents of bglevel as a double


% --- Executes during object creation, after setting all properties.
function bglevel_CreateFcn(hObject, eventdata, handles)
% hObject    handle to bglevel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function vect_n_sample_Callback(hObject, eventdata, handles)
% hObject    handle to vect_n_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of vect_n_sample as text
%        str2double(get(hObject,'String')) returns contents of vect_n_sample as a double


% --- Executes during object creation, after setting all properties.
function vect_n_sample_CreateFcn(hObject, eventdata, handles)
% hObject    handle to vect_n_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function numerical_aperture_Callback(hObject, eventdata, handles)
% hObject    handle to numerical_aperture (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of numerical_aperture as text
%        str2double(get(hObject,'String')) returns contents of numerical_aperture as a double


% --- Executes during object creation, after setting all properties.
function numerical_aperture_CreateFcn(hObject, eventdata, handles)
% hObject    handle to numerical_aperture (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function elpercount_Callback(hObject, eventdata, handles)
% hObject    handle to elpercount (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of elpercount as text
%        str2double(get(hObject,'String')) returns contents of elpercount as a double


% --- Executes during object creation, after setting all properties.
function elpercount_CreateFcn(hObject, eventdata, handles)
% hObject    handle to elpercount (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function preamp_Callback(hObject, eventdata, handles)
% hObject    handle to preamp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of preamp as text
%        str2double(get(hObject,'String')) returns contents of preamp as a double


% --- Executes during object creation, after setting all properties.
function preamp_CreateFcn(hObject, eventdata, handles)
% hObject    handle to preamp (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function actemgain_Callback(hObject, eventdata, handles)
% hObject    handle to actemgain (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of actemgain as text
%        str2double(get(hObject,'String')) returns contents of actemgain as a double


% --- Executes during object creation, after setting all properties.
function actemgain_CreateFcn(hObject, eventdata, handles)
% hObject    handle to actemgain (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function qeff_Callback(hObject, eventdata, handles)
% hObject    handle to qeff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of qeff as text
%        str2double(get(hObject,'String')) returns contents of qeff as a double


% --- Executes during object creation, after setting all properties.
function qeff_CreateFcn(hObject, eventdata, handles)
% hObject    handle to qeff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function colleff_Callback(hObject, eventdata, handles)
% hObject    handle to colleff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of colleff as text
%        str2double(get(hObject,'String')) returns contents of colleff as a double


% --- Executes during object creation, after setting all properties.
function colleff_CreateFcn(hObject, eventdata, handles)
% hObject    handle to colleff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in multicolor_radiobutton.
function multicolor_radiobutton_Callback(hObject, eventdata, handles)
% hObject    handle to multicolor_radiobutton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of multicolor_radiobutton



function dye_crosstalk_Callback(hObject, eventdata, handles)
% hObject    handle to dye_crosstalk (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye_crosstalk as text
%        str2double(get(hObject,'String')) returns contents of dye_crosstalk as a double


% --- Executes during object creation, after setting all properties.
function dye_crosstalk_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye_crosstalk (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_fix_sig_Callback(hObject, eventdata, handles)
% hObject    handle to oct_fix_sig (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_fix_sig as text
%        str2double(get(hObject,'String')) returns contents of oct_fix_sig as a double


% --- Executes during object creation, after setting all properties.
function oct_fix_sig_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_fix_sig (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_lambda_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_lambda (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_lambda as text
%        str2double(get(hObject,'String')) returns contents of dye2_lambda as a double


% --- Executes during object creation, after setting all properties.
function dye2_lambda_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_lambda (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_tauon_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_tauon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_tauon as text
%        str2double(get(hObject,'String')) returns contents of dye2_tauon as a double


% --- Executes during object creation, after setting all properties.
function dye2_tauon_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_tauon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_tauoff_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_tauoff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_tauoff as text
%        str2double(get(hObject,'String')) returns contents of dye2_tauoff as a double


% --- Executes during object creation, after setting all properties.
function dye2_tauoff_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_tauoff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_taub_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_taub (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_taub as text
%        str2double(get(hObject,'String')) returns contents of dye2_taub as a double


% --- Executes during object creation, after setting all properties.
function dye2_taub_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_taub (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_emnofphotonpersec_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_emnofphotonpersec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_emnofphotonpersec as text
%        str2double(get(hObject,'String')) returns contents of dye2_emnofphotonpersec as a double


% --- Executes during object creation, after setting all properties.
function dye2_emnofphotonpersec_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_emnofphotonpersec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_binding_angle_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_binding_angle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_binding_angle as text
%        str2double(get(hObject,'String')) returns contents of dye2_binding_angle as a double


% --- Executes during object creation, after setting all properties.
function dye2_binding_angle_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_binding_angle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_binding_angle_dev_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_binding_angle_dev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_binding_angle_dev as text
%        str2double(get(hObject,'String')) returns contents of dye2_binding_angle_dev as a double


% --- Executes during object creation, after setting all properties.
function dye2_binding_angle_dev_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_binding_angle_dev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_link_rad_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_link_rad (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_link_rad as text
%        str2double(get(hObject,'String')) returns contents of dye2_link_rad as a double


% --- Executes during object creation, after setting all properties.
function dye2_link_rad_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_link_rad (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit90_Callback(hObject, eventdata, handles)
% hObject    handle to edit90 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit90 as text
%        str2double(get(hObject,'String')) returns contents of edit90 as a double


% --- Executes during object creation, after setting all properties.
function edit90_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit90 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_nonspec_dens_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_nonspec_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_nonspec_dens as text
%        str2double(get(hObject,'String')) returns contents of dye2_nonspec_dens as a double


% --- Executes during object creation, after setting all properties.
function dye2_nonspec_dens_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_nonspec_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_N_of_labels_per_epitope_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_N_of_labels_per_epitope (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_N_of_labels_per_epitope as text
%        str2double(get(hObject,'String')) returns contents of dye2_N_of_labels_per_epitope as a double


% --- Executes during object creation, after setting all properties.
function dye2_N_of_labels_per_epitope_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_N_of_labels_per_epitope (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function dye2_var_N_of_labels_per_epitope_Callback(hObject, eventdata, handles)
% hObject    handle to dye2_var_N_of_labels_per_epitope (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of dye2_var_N_of_labels_per_epitope as text
%        str2double(get(hObject,'String')) returns contents of dye2_var_N_of_labels_per_epitope as a double


% --- Executes during object creation, after setting all properties.
function dye2_var_N_of_labels_per_epitope_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_var_N_of_labels_per_epitope (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes during object creation, after setting all properties.
function dye2_popupmenu_CreateFcn(hObject, eventdata, handles)
% hObject    handle to dye2_popupmenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in rand_gen_seed_checkbox.
function rand_gen_seed_checkbox_Callback(hObject, eventdata, handles)
% hObject    handle to rand_gen_seed_checkbox (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of rand_gen_seed_checkbox


% --- Executes during object creation, after setting all properties.
function oct_N_ofoct_CreateFcn(hObject, eventdata, handles)
% hObject    handle to oct_N_ofoct (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function oct_N_ofoct_Callback(hObject, eventdata, handles)
% hObject    handle to oct_N_ofoct (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of oct_N_ofoct as text
%        str2double(get(hObject,'String')) returns contents of oct_N_ofoct as a double



function axon_z_Callback(hObject, eventdata, handles)
% hObject    handle to axon_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_z as text
%        str2double(get(hObject,'String')) returns contents of axon_z as a double


% --- Executes during object creation, after setting all properties.
function axon_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function axon_theta_Callback(hObject, eventdata, handles)
% hObject    handle to axon_theta (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_theta as text
%        str2double(get(hObject,'String')) returns contents of axon_theta as a double


% --- Executes during object creation, after setting all properties.
function axon_theta_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_theta (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function axon_fi_Callback(hObject, eventdata, handles)
% hObject    handle to axon_fi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_fi as text
%        str2double(get(hObject,'String')) returns contents of axon_fi as a double


% --- Executes during object creation, after setting all properties.
function axon_fi_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_fi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function axon_grating_Callback(hObject, eventdata, handles)
% hObject    handle to axon_grating (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_grating as text
%        str2double(get(hObject,'String')) returns contents of axon_grating as a double


% --- Executes during object creation, after setting all properties.
function axon_grating_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_grating (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function axon_radius_Callback(hObject, eventdata, handles)
% hObject    handle to axon_radius (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_radius as text
%        str2double(get(hObject,'String')) returns contents of axon_radius as a double


% --- Executes during object creation, after setting all properties.
function axon_radius_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_radius (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function axon_length_Callback(hObject, eventdata, handles)
% hObject    handle to axon_length (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_length as text
%        str2double(get(hObject,'String')) returns contents of axon_length as a double


% --- Executes during object creation, after setting all properties.
function axon_length_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_length (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function axon_dens_Callback(hObject, eventdata, handles)
% hObject    handle to axon_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_dens as text
%        str2double(get(hObject,'String')) returns contents of axon_dens as a double


% --- Executes during object creation, after setting all properties.
function axon_dens_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function vect_astigmatism_Callback(hObject, eventdata, handles)
% hObject    handle to vect_astigmatism (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of vect_astigmatism as text
%        str2double(get(hObject,'String')) returns contents of vect_astigmatism as a double


% --- Executes during object creation, after setting all properties.
function vect_astigmatism_CreateFcn(hObject, eventdata, handles)
% hObject    handle to vect_astigmatism (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function astigmatism_y_Callback(hObject, eventdata, handles)
% hObject    handle to astigmatism_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of astigmatism_y as text
%        str2double(get(hObject,'String')) returns contents of astigmatism_y as a double


% --- Executes during object creation, after setting all properties.
function astigmatism_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to astigmatism_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function vect_coma_Callback(hObject, eventdata, handles)
% hObject    handle to vect_coma (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of vect_coma as text
%        str2double(get(hObject,'String')) returns contents of vect_coma as a double


% --- Executes during object creation, after setting all properties.
function vect_coma_CreateFcn(hObject, eventdata, handles)
% hObject    handle to vect_coma (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function coma_y_Callback(hObject, eventdata, handles)
% hObject    handle to coma_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of coma_y as text
%        str2double(get(hObject,'String')) returns contents of coma_y as a double


% --- Executes during object creation, after setting all properties.
function coma_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to coma_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function vect_spherical_ab_Callback(hObject, eventdata, handles)
% hObject    handle to vect_spherical_ab (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of vect_spherical_ab as text
%        str2double(get(hObject,'String')) returns contents of vect_spherical_ab as a double


% --- Executes during object creation, after setting all properties.
function vect_spherical_ab_CreateFcn(hObject, eventdata, handles)
% hObject    handle to vect_spherical_ab (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function vect_sample_depth_Callback(hObject, eventdata, handles)
% hObject    handle to vect_sample_depth (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of vect_sample_depth as text
%        str2double(get(hObject,'String')) returns contents of vect_sample_depth as a double


% --- Executes during object creation, after setting all properties.
function vect_sample_depth_CreateFcn(hObject, eventdata, handles)
% hObject    handle to vect_sample_depth (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function drift_mean_velocity_Callback(hObject, eventdata, handles)
% hObject    handle to drift_mean_velocity (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of drift_mean_velocity as text
%        str2double(get(hObject,'String')) returns contents of drift_mean_velocity as a double


% --- Executes during object creation, after setting all properties.
function drift_mean_velocity_CreateFcn(hObject, eventdata, handles)
% hObject    handle to drift_mean_velocity (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function vect_focal_plane_dist_Callback(hObject, eventdata, handles)
% hObject    handle to vect_focal_plane_dist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of vect_focal_plane_dist as text
%        str2double(get(hObject,'String')) returns contents of vect_focal_plane_dist as a double


% --- Executes during object creation, after setting all properties.
function vect_focal_plane_dist_CreateFcn(hObject, eventdata, handles)
% hObject    handle to vect_focal_plane_dist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function autofluor_bg_Callback(hObject, eventdata, handles)
% hObject    handle to autofluor_bg (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of autofluor_bg as text
%        str2double(get(hObject,'String')) returns contents of autofluor_bg as a double


% --- Executes during object creation, after setting all properties.
function autofluor_bg_CreateFcn(hObject, eventdata, handles)
% hObject    handle to autofluor_bg (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function n_immersion_Callback(hObject, eventdata, handles)
% hObject    handle to vect_n_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of vect_n_sample as text
%        str2double(get(hObject,'String')) returns contents of vect_n_sample as a double


% --- Executes during object creation, after setting all properties.
function n_immersion_CreateFcn(hObject, eventdata, handles)
% hObject    handle to vect_n_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function n_cover_slip_Callback(hObject, eventdata, handles)
% hObject    handle to n_cover_slip (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of n_cover_slip as text
%        str2double(get(hObject,'String')) returns contents of n_cover_slip as a double


% --- Executes during object creation, after setting all properties.
function n_cover_slip_CreateFcn(hObject, eventdata, handles)
% hObject    handle to n_cover_slip (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
        


% --- Executes on button press in pushbutton16.
function pushbutton16_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



function cylindrical_f_Callback(hObject, eventdata, handles)
% hObject    handle to cylindrical_f (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of cylindrical_f as text
%        str2double(get(hObject,'String')) returns contents of cylindrical_f as a double


% --- Executes during object creation, after setting all properties.
function cylindrical_f_CreateFcn(hObject, eventdata, handles)
% hObject    handle to cylindrical_f (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function axon_x_Callback(hObject, eventdata, handles)
% hObject    handle to axon_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_x as text
%        str2double(get(hObject,'String')) returns contents of axon_x as a double


% --- Executes during object creation, after setting all properties.
function axon_x_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function axon_y_Callback(hObject, eventdata, handles)
% hObject    handle to axon_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of axon_y as text
%        str2double(get(hObject,'String')) returns contents of axon_y as a double


% --- Executes during object creation, after setting all properties.
function axon_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axon_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function scal_n_sample_Callback(hObject, eventdata, handles)
% hObject    handle to scal_n_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of scal_n_sample as text
%        str2double(get(hObject,'String')) returns contents of scal_n_sample as a double


% --- Executes during object creation, after setting all properties.
function scal_n_sample_CreateFcn(hObject, eventdata, handles)
% hObject    handle to scal_n_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function scal_sample_depth_Callback(hObject, eventdata, handles)
% hObject    handle to scal_sample_depth (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of scal_sample_depth as text
%        str2double(get(hObject,'String')) returns contents of scal_sample_depth as a double


% --- Executes during object creation, after setting all properties.
function scal_sample_depth_CreateFcn(hObject, eventdata, handles)
% hObject    handle to scal_sample_depth (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function scal_spherical_ab_Callback(hObject, eventdata, handles)
% hObject    handle to scal_spherical_ab (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of scal_spherical_ab as text
%        str2double(get(hObject,'String')) returns contents of scal_spherical_ab as a double


% --- Executes during object creation, after setting all properties.
function scal_spherical_ab_CreateFcn(hObject, eventdata, handles)
% hObject    handle to scal_spherical_ab (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function scal_coma_Callback(hObject, eventdata, handles)
% hObject    handle to scal_coma (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of scal_coma as text
%        str2double(get(hObject,'String')) returns contents of scal_coma as a double


% --- Executes during object creation, after setting all properties.
function scal_coma_CreateFcn(hObject, eventdata, handles)
% hObject    handle to scal_coma (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function scal_astigmatism_Callback(hObject, eventdata, handles)
% hObject    handle to scal_astigmatism (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of scal_astigmatism as text
%        str2double(get(hObject,'String')) returns contents of scal_astigmatism as a double


% --- Executes during object creation, after setting all properties.
function scal_astigmatism_CreateFcn(hObject, eventdata, handles)
% hObject    handle to scal_astigmatism (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function el_field_dir_Callback(hObject, eventdata, handles)
% hObject    handle to el_field_dir (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of el_field_dir as text
%        str2double(get(hObject,'String')) returns contents of el_field_dir as a double


% --- Executes during object creation, after setting all properties.
function el_field_dir_CreateFcn(hObject, eventdata, handles)
% hObject    handle to el_field_dir (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function an_cone_angle_Callback(hObject, eventdata, handles)
% hObject    handle to an_cone_angle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of an_cone_angle as text
%        str2double(get(hObject,'String')) returns contents of an_cone_angle as a double


% --- Executes during object creation, after setting all properties.
function an_cone_angle_CreateFcn(hObject, eventdata, handles)
% hObject    handle to an_cone_angle (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function an_tau_ratio_Callback(hObject, eventdata, handles)
% hObject    handle to an_tau_ratio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of an_tau_ratio as text
%        str2double(get(hObject,'String')) returns contents of an_tau_ratio as a double


% --- Executes during object creation, after setting all properties.
function an_tau_ratio_CreateFcn(hObject, eventdata, handles)
% hObject    handle to an_tau_ratio (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function an_tau_rot_Callback(hObject, eventdata, handles)
% hObject    handle to an_tau_rot (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of an_tau_rot as text
%        str2double(get(hObject,'String')) returns contents of an_tau_rot as a double


% --- Executes during object creation, after setting all properties.
function an_tau_rot_CreateFcn(hObject, eventdata, handles)
% hObject    handle to an_tau_rot (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function magnification_Callback(hObject, eventdata, handles)
% hObject    handle to magnification (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of magnification as text
%        str2double(get(hObject,'String')) returns contents of magnification as a double


% --- Executes during object creation, after setting all properties.
function magnification_CreateFcn(hObject, eventdata, handles)
% hObject    handle to magnification (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function tube_f_Callback(hObject, eventdata, handles)
% hObject    handle to tube_f (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of tube_f as text
%        str2double(get(hObject,'String')) returns contents of tube_f as a double


% --- Executes during object creation, after setting all properties.
function tube_f_CreateFcn(hObject, eventdata, handles)
% hObject    handle to tube_f (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function drift_acc_stdev_Callback(hObject, eventdata, handles)
% hObject    handle to drift_acc_stdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of drift_acc_stdev as text
%        str2double(get(hObject,'String')) returns contents of drift_acc_stdev as a double


% --- Executes during object creation, after setting all properties.
function drift_acc_stdev_CreateFcn(hObject, eventdata, handles)
% hObject    handle to drift_acc_stdev (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



% --- Executes during object creation, after setting all properties.
function drift_popupmenu_CreateFcn(hObject, eventdata, handles)
% hObject    handle to drift_popupmenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function drift_damping_coeff_Callback(hObject, eventdata, handles)
% hObject    handle to drift_damping_coeff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of drift_damping_coeff as text
%        str2double(get(hObject,'String')) returns contents of drift_damping_coeff as a double


% --- Executes during object creation, after setting all properties.
function drift_damping_coeff_CreateFcn(hObject, eventdata, handles)
% hObject    handle to drift_damping_coeff (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function n_sample_Callback(hObject, eventdata, handles)
% hObject    handle to n_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of n_sample as text
%        str2double(get(hObject,'String')) returns contents of n_sample as a double


% --- Executes during object creation, after setting all properties.
function n_sample_CreateFcn(hObject, eventdata, handles)
% hObject    handle to n_sample (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function scal_focal_plane_dist_Callback(hObject, eventdata, handles)
% hObject    handle to scal_focal_plane_dist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of scal_focal_plane_dist as text
%        str2double(get(hObject,'String')) returns contents of scal_focal_plane_dist as a double


% --- Executes during object creation, after setting all properties.
function scal_focal_plane_dist_CreateFcn(hObject, eventdata, handles)
% hObject    handle to scal_focal_plane_dist (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_fix_x_Callback(hObject, eventdata, handles)
% hObject    handle to rod_fix_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_fix_x as text
%        str2double(get(hObject,'String')) returns contents of rod_fix_x as a double


% --- Executes during object creation, after setting all properties.
function rod_fix_x_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_fix_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_fix_y_Callback(hObject, eventdata, handles)
% hObject    handle to rod_fix_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_fix_y as text
%        str2double(get(hObject,'String')) returns contents of rod_fix_y as a double


% --- Executes during object creation, after setting all properties.
function rod_fix_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_fix_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_fix_z_Callback(hObject, eventdata, handles)
% hObject    handle to rod_fix_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_fix_z as text
%        str2double(get(hObject,'String')) returns contents of rod_fix_z as a double


% --- Executes during object creation, after setting all properties.
function rod_fix_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_fix_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_fix_size_Callback(hObject, eventdata, handles)
% hObject    handle to rod_fix_size (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_fix_size as text
%        str2double(get(hObject,'String')) returns contents of rod_fix_size as a double


% --- Executes during object creation, after setting all properties.
function rod_fix_size_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_fix_size (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_fix_N_Callback(hObject, eventdata, handles)
% hObject    handle to rod_fix_N (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_fix_N as text
%        str2double(get(hObject,'String')) returns contents of rod_fix_N as a double


% --- Executes during object creation, after setting all properties.
function rod_fix_N_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_fix_N (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_fix_phi_Callback(hObject, eventdata, handles)
% hObject    handle to rod_fix_phi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_fix_phi as text
%        str2double(get(hObject,'String')) returns contents of rod_fix_phi as a double


% --- Executes during object creation, after setting all properties.
function rod_fix_phi_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_fix_phi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_dim_Callback(hObject, eventdata, handles)
% hObject    handle to rod_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_dim as text
%        str2double(get(hObject,'String')) returns contents of rod_dim as a double


% --- Executes during object creation, after setting all properties.
function rod_dim_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_dim (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_N_ofrod_Callback(hObject, eventdata, handles)
% hObject    handle to rod_N_ofrod (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_N_ofrod as text
%        str2double(get(hObject,'String')) returns contents of rod_N_ofrod as a double


% --- Executes during object creation, after setting all properties.
function rod_N_ofrod_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_N_ofrod (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_zmax_Callback(hObject, eventdata, handles)
% hObject    handle to rod_zmax (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_zmax as text
%        str2double(get(hObject,'String')) returns contents of rod_zmax as a double


% --- Executes during object creation, after setting all properties.
function rod_zmax_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_zmax (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_Size_ofrod_Callback(hObject, eventdata, handles)
% hObject    handle to rod_Size_ofrod (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_Size_ofrod as text
%        str2double(get(hObject,'String')) returns contents of rod_Size_ofrod as a double


% --- Executes during object creation, after setting all properties.
function rod_Size_ofrod_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_Size_ofrod (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit148_Callback(hObject, eventdata, handles)
% hObject    handle to edit148 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit148 as text
%        str2double(get(hObject,'String')) returns contents of edit148 as a double


% --- Executes during object creation, after setting all properties.
function edit148_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit148 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_N_ofmol_Callback(hObject, eventdata, handles)
% hObject    handle to rod_N_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_N_ofmol as text
%        str2double(get(hObject,'String')) returns contents of rod_N_ofmol as a double


% --- Executes during object creation, after setting all properties.
function rod_N_ofmol_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_N_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function rod_Sig_ofmol_Callback(hObject, eventdata, handles)
% hObject    handle to rod_Sig_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of rod_Sig_ofmol as text
%        str2double(get(hObject,'String')) returns contents of rod_Sig_ofmol as a double


% --- Executes during object creation, after setting all properties.
function rod_Sig_ofmol_CreateFcn(hObject, eventdata, handles)
% hObject    handle to rod_Sig_ofmol (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_theta_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_theta (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_theta as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_theta as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_theta_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_theta (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_fi_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_fi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_fi as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_fi as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_fi_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_fi (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_grating_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_grating (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_grating as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_grating as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_grating_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_grating (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_radius_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_radius (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_radius as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_radius as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_radius_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_radius (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_length_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_length (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_length as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_length as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_length_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_length (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_dens_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_dens as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_dens as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_dens_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_dens (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_x_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_x as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_x as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_x_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_x (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_y_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_y as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_y as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_y_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_y (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function sarcomere_z_Callback(hObject, eventdata, handles)
% hObject    handle to sarcomere_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of sarcomere_z as text
%        str2double(get(hObject,'String')) returns contents of sarcomere_z as a double


% --- Executes during object creation, after setting all properties.
function sarcomere_z_CreateFcn(hObject, eventdata, handles)
% hObject    handle to sarcomere_z (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
